SAP GUI Online Help

1 After Installing SAP GUI

1.1 Icons for SAP GUI

After you have installed SAP GUI, one or more of the icons for SAP Logon Pad and/or SAP Logon appears on your desktop.

SAP Logon

SAP Logon Pad

A new entry, SAP Configuration, is added to the Microsoft Windows Control Panel.

1.2 Start Menu: Entry for SAP GUI

In the Microsoft Windows menu Start -> All Programs, a new node appears: SAP Front End.

1.3 User-Specific Automatic Update

If SAP GUI was installed from an installation server, every user can enable an automatic update of the local SAP GUI from this installation server. You can trigger a check for updates when you start SAP Logon (or SAP Logon Pad) by double-clicking the respective icon.
To reduce network load, you can limit the frequency of this automatic update check so that it is not triggered every time SAP GUI is started.

To configure the automatic update:

  • Right-click the SAP Logon (or SAP Logon Pad) icon
  • Choose Configure Update Check from the context menu.

The trace dialog box will be displayed as follows:

Using the checkbox Enable update check you can activate or deactivate the automatic update.
Additionally you can configure the number of double-clicks on the SAP Logon (SAP Logon Pad) icon before the check for available updates on the installation server is performed in accordance with your needs.
By default the automatic update is

  • Switched on if the installation of SAP GUI was run from an installation server. The default value for the number of double-clicks on the SAP Logon (SAP Logon Pad) icon required before the check for an update is performed is set to 5.
  • Switched off if the installation of SAP GUI was run from CD / DVD.

To activate the change(s) choose the OK button.

If an updated version of SAP GUI is available on the installation server, SAP Setup is launched to update the local SAP GUI before SAP Logon is started.

2 Using SAP GUI to Log On to SAP Systems

2.1. Logging On to a System and Logging Off

Before you log on for the first time, your system administrator will give you an initial password. During the logon process, you should create a new password, known only to you. After that, you use your own password whenever you log on. (Different organizations may have different procedures. If you have any questions, contact your system administrator.)

2.1.1 Logging On

After you have started an SAP system, the first screen that appears is the logon screen.

To log on to the SAP system for the first time:

  1. Enter the client number in the Client field.
    2. If a default client number appears in the field, keep it or change it if necessary.
  2. Enter your user ID in the User field.
  3. In the Password field, enter the initial password provided by your system administrator.
    4. As you type the initial password, the asterisks remain in the field, and only the cursor moves. For security reasons the system does not display what you enter.
  4. Proceed to the Language field. You can change the language used to display screens, menus, and fields if necessary.

    5. Note:
    When you choose the TAB key after you have entered data in a field, the cursor moves to the beginning of the next field.

  5. Choose Enter.
  6. The system automatically displays the new password dialog box requesting that you change your initial password:

    7. If you do not see the new password dialog box, check the status bar for a system message. You may have entered an incorrect client number, password, user ID or language key. If this is the case, repeat steps 1 through 5.
  7. Enter a new password and repeat it in the respective field below.
  8. Choose [image] (or the Enter key). If you have successfully changed your password, the Copyright dialog box appears.
  9. In the Copyright dialog box, choose Continue.
    10. If there are system wide-messages, the System Messages dialog box appears. After you have read the messages, choose Continue to close the dialog box.

2.1.2 Logging Off

You can log off from the SAP system from any screen:

  • From the menu bar, choose System -> Log off.
  • Click the button at the upper right-hand corner of the screen (if you only have one session running).

The Log Off dialog box appears:

If you are not certain that you have saved all of your data and you do not want to log off after all, choose No. You return to the screen on which you were previously working.
If you are certain that you have saved all of the data you want to save, choose Yes. All of your SAP system sessions close. You have successfully logged off.

2.2 Using SAP Logon

Note:
If you want to use SAP Shortcut to logon to a system, refer to the section
  • SAP Shortcut
If you have only installed SAP Logon Pad, for information about logging on to the SAP system, see
  • SAP Logon Pad

2.2.1 Starting SAP Logon

You can start SAP Logon as follows:

  • Double-click the icon for SAP Logon on your desktop:
  • Call the Microsoft Windows menu Start->Programs->SAP Front End->SAP Logon

After you start SAP Logon, the main SAP Logon window appears (see below). The SAP Logon icon appears in both the toolbar (together with a title, such as SAP Logon 730) and in the system tray (in bottom right area of the desktop).

2.2.1.1 SAP Logon Main Window

After you start SAP Logon, the main window of SAP Logon appears:

The main SAP Logon window is displayed using the Explorer View, which is selected by default:

The Explorer View contains three folders by default:

  • Favorites
  • Shortcuts
  • Connections

Within these three main folders, you can create your own folder structure adapted to your working priorities:

  1. Select the respective folder
  2. Open the context menu by right-clicking
  3. Choose Add new subfolder
    4. .
    The dialog box will be displayed as follows:

  4. Enter a name for the new subfolder and choose OK.

2.2.1.2 Main Window - List View

You can change the view of the main SAP Logon window by choosing the following buttons for the List View:

More information on how to use the entry's context menu: 2.2.2.4 Context Menu of System Entries.

2.2.1.3 Main Window - Tree View

You can change the view of the main SAP Logon window by choosing the following buttons for the Tree View:

More information on how to use the entry's context menu: 2.2.2.4 Context Menu of System Entries.

Try the different views to determine, which view best fits your requirements.

2.2.2 The Connections Folder

When you open the Connections folder for the very first time, it may be empty. If your system administrator has already created entries, you can immediately logon using these. Entries defined centrally on a server will be displayed as read-only. For more information about the server configuration file, see SAP Note 1426178.
You can change the content of the Connections folder in SAP Logon (not in SAP Logon Pad) by:

  • Adding new connections to the Connections folder or to one of its subfolders
    (For more information, see 2.2.2.1 Adding New Entries)

  • Changing connection entries in the Connections folder (only if they are not displayed deactivated; more information: section 2.2.2.2 Changing Entries)

  • Deleting connection entries in the Connections folder (only if they are not displayed as deactivated, more information: section 2.2.2.3 Deleting Entries)

You can also use the connection entry's context menu, which exists both in SAP Logon and in SAP Logon Pad, to

  • Define how the entries are displayed.
    (For more information, see 2.2.2.4 Using the System Entry's Context Menu and 2.2.7 Viewing Entries in Each Folder),

  • Log on to an SAP system or to display the status of SAP systems.
    (See also: 2.2.2.4 Context Menu of System Entries )

2.2.2.1 Adding a New Entry to the Connections Folder

To add a new entry to the system list, choose the [image] button or choose Add new entry from the folder's context menu.
The first item in the list, User Specified System, is selected by default.
All of the systems listed below the User Specified System option have been configured by your system adminstrator and are available to be chosen.

Note:
Only proceed to section User Specified System if you do not find the system you need in this list.

Choosing a System from the List

  1. Select one of the systems shown in the system list.
    You can do this by typing the system ID or selecting the system's name in the list. Scroll the system list if necessary.

    You can also filter the system list first and then select a system.
    Place the focus in the Search for field above the system list and enter a string for which you want to search. The search mechanism immediately starts a browse process over all system IDs and all description entries.
    You can use the following operators in the search string:

    • AND operator:
      To concatenate search terms this way, place a '+' directly before the relevant search term.
      Example: Basis +Development
    • OR operator:
      This is the default.
      This concatenation is used if a space or '|' is located directly before the relevant search term.
      Examples: 4.6D 46D, 4.6D |46D
    • NOT operator:
      In order to exclude systems matching a certain condition, place a '-' directly before the relevant search term
      Example: 46D -Support
    • Exact term search:
      Use this to search for complete strings containing spaces or other control characters.
      Example: "Support package"

    Note that operators in front of the first search term are ignored with the exception of " for exact term search.
    The search can also contain system IDs.

    The search starts automatically and all matching entries are listed:

    Note:
    If the search fails, the following message appears:

    To continue select one of the filtered entries in the list or you can start a new search by choosing Clear Filter and typing a new string. ( If you choose Clear Filter, all available systems are displayed in the list again.)

    The last entry field, SAProuter allows you to configure a particular SAProuter for the new system connection. This field is usually empty by default because many systems do not require a particular SAProuter connection. Sometimes it contains a SAProuter configured as the default SAProuter for your local installation. If you need a certain SAProuter or need to change the local default configuration, select the respective entry from the SAProuter dropdown list:

    2. Choose Next.

  2. It may take some time while connecting to the message server and getting the groups/server list from it.
    You can define the maximum value for the Timeout of Message Server in Seconds. Call the SAP Logon options (more information: section 6.9.1 SAP Logon Options - General)
    If there are groups and servers available they are listed. Select the one you want to connect to:

    Note:
    If the group/server cannot be reached, the following error message appears in the list:

    You can add a special message server port if required, see also SAP note 1685221.
    If necessary, change the selection and choose Next (or refer to the note box at the end of step 6.)

  3. On this screen, you can maintain the connection type:

    Check all entries, change them if necessary and choose Next.

  4. On this screen, you can maintain the Network Settings :

    Activate Secure Network Communication:
    This checkbox is active if the SNC name is defined in the SAP system to which you are going to connect.
    You can then choose this checkbox to turn on SNC mode and select the required SNC level by selecting one of the radio buttons below the input field SNC Name.

    SNC Security Levels
    Authentication When using authentication only, the system verifies the identity of the communication partners.
    This is the minimum protection level offered by SNC.
    Integrity | When using integrity protection, the system also detects any changes or manipulation of the data which may have occurred between the two end points of a communication.
    Encryption | When using encryption, the system encrypts the messages being transferred, which makes eavesdropping impossible. Privacy protection also includes integrity protection of the data. This is the maximum level of protection provided by SNC.
    Highest security level The highest security level offered by the security product you use is selected automatically for your connection.
    Note:
    If you chose the option Highest Available Security Setting, the security level is set by the security product used. The authentication is secure in any case. Encryption and integrity protection of application data is used if the security product provides these functions.

    In the presetting Single Sign-On is activated with the SCN mode. You have the option to deactivate Single Sign-On in SNC mode and use logon with user and password instead.
    You can find more information in the documentation for Secure Network Communication on the Service Marketplace under /security -> Security in Detail -> Infrastructure Security -> SNC User's Guide.

    High speed connection (LAN):
    This checkbox is selected by default.

    Low speed connection (reduced network traffic):
    You can choose this checkbox to turn on the low speed connection (WAN mode).
    You find additional information regarding connection speed settings in SAP Note 161053

    Check all entries, change them if necessary and choose Next.

  5. The last screen offers the possibility of maintaining the language and encoding settings:

    Language Settings:
    Choose the required language from the Language drop down list.

    Upload/download Encoding:
    Choose the required encoding from the Encoding dropdown list.
    For more information regarding upload/download encoding, refer to SAP Note 765763

    Check all entries, change them if necessary and choose Finish.

  6. The active wizard window closes and the new system entry is added to the Connections folder.

    Note:
    You can skip steps 3, 4 and 5 by choosing Finish after selecting the Group/Server setting in step 2. In this case all further predefined settings are kept, the wizard is closed immediately and the new connection is added to the Connections folder.

User Specified System

  1. If the system you are looking for is not listed, keep the selection User Specified System:

    If the system you need to connect to requires a SAProuter connection, select the appropriate router from the dropdown list:

    Otherwise you can leave this field empty and choose Next.

  2. The screen for configuring a Custom Application Server appears.

    Enter the following required data:
    Description | A short description of the system entry. Leave the Description field empty if you want to use a default description.
    Application Server The name of the host to which you want to connect.
    Instance Number (Formerly: System Number)
    Specify the instance number (such as 00) of the SAP system to which you want to connect.
    System ID | Specify the system ID of the SAP system to which you want to connect.

    Enter the following optional data:
    SAProuter String An SAProuter string if it is needed
    (See also: Route Strings).

    Depending on the information you have about the system to which you need to connect, you can alternatively use the Group/Server Selection screen to define the connection. To do this, change the dropdown menu selection for the Connection Type field.

    Enter the following data:
    Description | Enter a short description (optional).
    Message Server | Enter the name of the message server or its IP address. SAP Logon now attempts to connect to this server to load the available Group/Server selection.
    Group/Server | If SAP Logon could reach the specified message server you can now select an appropriate Group/Server entry for your connection.

  3. You can now do the following:
    • Either choose Next if you want to check and possibly change the Network and Code Page settings.
    • Or close the procedure by choosing Finish. The two dialogs are then skipped and their default selections are kept.
  4. As a result, the new connection is listed in your Connections folder.

2.2.2.2 Changing Entries

Note:
Entries can be changed only if they are not displayed as deactivated. Deactivation means, that they can be used to logon but their porperties cannot be changed. Deactivation can be configured
  • Centrally for single systems by your system administrator
  • By every user within the SAP Logon Options dialog. More information: 6.9.1 SAP Logon Options - General

You can change an entry by selecting it from the system list and choosing the [image] button in the toolbar. Alternatively, you can open the context menu of the respective entry by right-clicking it in the list and choosing Properties...

A dialog box with the title System Entry Properties appears. There are three tabs on this dialog.

  1. The Connection tab:

    If the entry was created using the connection type Group/Server Selection, the dialog contains the following elements:

    Change the data for the System Connection Parameters if necessary.

    If the entry was created using the connection type Custom Application Server the dialog contains different elements:

    Change the data for the System Connection Parameters if necessary (more nformation: Custom Application Server).

  2. The Network tab:

    More information: Network Settings.

  3. The Code Page tab:

    More information: Language and Encoding Settings.

  4. Save the new settings.

    Choose OK to confirm. Your modified settings are saved.

2.2.2.3 Deleting Entries

Note:
Entries can be deleted only if they are not displayed as deactivated. Deactivation means that they can be used to logon but their porperties cannot be changed. Deactivation can be configured
  • Centrally for single systems by your system administrator
  • By every user within the SAP Logon Options dialog. More information: 6.9.1 SAP Logon Options - General

  1. Select the relevant item from the connection list.
  2. Choose the [image] button from the toolbar.
  3. Confirm deletion by choosing Yes on the following dialog:

    If you deselect the checkbox for Confirmation of deletion of listbox entry (More information: section 6.9.1 SAP Logon Options - General) the confirmation dialog no longer appears.

2.2.2.4 Context Menu of System Entries

If you select a system entry, you can open its context by right-clicking, pressing the context menu key, or the keys Shift+F10.

The system entry's context menu in SAP Logon contains the options Log On, Delete, System Status... (For prerequisites see 2.2.12 Showing SAP System Status), View, and Properties...:

Choose

  • For system entries with no activated SCN mode:
    Log On to log on to the selected SAP system.
  • For system entries with activated SCN mode:
    SNC Logon with Single Sign-On to log on using Single Sign-On to the selected system.
    SNC Logon without Single Sign-On to log on using user name and password to the selected SAP system.
  • Delete to delete the selected item.
  • System Status... to open a web page containing information about your SAP system status (if it is maintained)
  • View and one of its menu options to view your system entries in a different presentation mode
  • Properties... to change the definition of the selected item.

Note:
In SAP Logon Pad, the system entry's context menu contains only the options Log On, System Status..., and View (more information: 2.4 SAP Logon Pad).

2.2.2.5 Using Subfolders to Structure the Connections Folder Content

Sometimes it may be necessary to structure the entries of the Connections folder due to their large number. Therefore it is possible to add new subfolders.

To add a new subfolder to the Connections folder

  1. Open its context menu by right-clicking.
  2. Choose Add New Subfolder.
  3. Enter a name for the new subfolder.
  4. Confirm the dialog box.

The new subfolder is now displayed on the SAP Logon start screen:

You can

  • Drag and drop entries from the Connections folder into its new subfolder
  • Select the new subdirectory in the initial SAP Logon screen, and create new connection entries, as described in 2.2.2.1 Adding a New Entry to the Connections Folder.

2.2.3 The Shortcuts Folder

Shortcuts allow you to start SAP transactions, run reports or execute system commands directly after logging on to a specific system.

When you open the Connections folder for the very first time, it may be empty. If your system administrator has already created entries, you can immediately logon using these. Entries defined centrally on a server will be displayed as read-only. For more information about the server configuration file, see Note 1426178.

You can create and/or edit SAP shortcuts not only from your desktop (more information: Creating an SAP Shortcut from your Desktop) or from a specific screen in the SAP system (more information: Creating an SAP Shortcut from a Specific Screen in the SAP System), but also from the Shortcuts folder in SAP Logon.

You can change content of the Shortcuts folder (in SAP Logon but not in SAP Logon Pad) as follows:

  • Adding new items to the Shortcuts folder by choosing
    (more information: 2.2.3.1 Adding a New Entry),

  • Changing items in the SAP shortcut list by choosing
    (more information: 2.2.3.2 Changing Entries),

  • Deleting the selected SAP Shortcut entry by choosing
    (more information: 2.2.3.3 Deleting Entries),

You can also use the context menu of the SAP shortcut for these actions. A further option is available here:

  • You can display your SAP shortcuts in different ways by choosing View from the context menu, and then one of the entries under View.
    (More information: 2.2.3.4 Using the SAP Shortcut Entry's Context Menu and 2.2.7 Viewing Entries in Each Folder) .

2.2.3.1 Adding a New Entry to the Shortcuts Folder

Note:
Before you can create a shortcut to a certain system, you need to have created a connection in the Connections folder (more information: 2.2.2.1 Adding a New Entry to the Connections Folder).

  1. Select the folder Shortcuts
  2. If there are already SAP shortcuts on your desktop (or in a folder in your file system), you can add each of them to the Shortcuts folder just by dragging and dropping their icon to the SAP Logon window.
  3. To create a completely new entry choose the New button in the toolbar of the SAP Logon window or open the context menu of the Shortcuts folder and choose Add New Entry.
    A dialog box with the title Create New SAP Shortcut appears.

    After entering the required data (see the description of the General tab in section 2.3.1 Creating a SAP Shortcut), buttons Next and Finish are active.

    Choose the Finish button if you want to use the default options for Trace Level, Window Size, Working Directory.
    Otherwise, choose the Next button. This options dialog box appears:

  4. Change the options as required:
    • Select the required trace level using the dropdown list.
    • You can specify the required window size on startup in the field Window size.
    • Make changes in the field Working directory if necessary.
    • Turn off Reuse Connection When Launching SAP Shortcuts if necessary.
      If this setting is turned off, each time you use an SAP Shortcut to logon to an SAP system, a new connection is opened, regardless of whether connections already exist to this system.
  5. The newly created shortcut will appear in the shortcut list.
  6. You can also drag and drop any entry in the shortcut list to the desktop.

2.2.3.2 Changing Entries

  1. Select the required shortcut in the Shortcuts folder.
  2. Choose the Edit button in the toolbar.

    A dialog box with the title SAP Shortcut Properties appears.

  3. Enter the necessary changes in the entry fields on both tabs.
    More information: 2.2.3.1 Adding a New Entry to the Shortcuts Folder.

  4. If required, correct the settings on the Options tab:

  5. Choose OK to confirm.

2.2.3.3 Deleting Entries

  1. Select the required item from the shortcut list.

  2. Choose the [image] button and confirm deletion by choosing Yes on the following confirmation dialog box.

    If you deselect the checkbox for Confirmation of deletion of listbox entry (More information: 6.9.1 SAP Logon Options - General) the confirmation dialog no longer appears.

2.2.3.4 Context Menu of System Entries

If you select an SAP Shortcut entry, you can open its context menu by right-clicking, pressing the context menu key, or the keys Shift+F10.

The SAP Shortcut entry's context menu in SAP Logon contains the options Log On, Delete, System Status (if a web page containing information about the status of your SAP systems is maintained at your site), View, and Properties...:

Choose

  • Log On to log on to the SAP system defined by the selected SAP Shortcut entry
  • Delete to delete the selected item
  • System Status... to open a web page containing information about your SAP system status (if it is maintained)
  • View and one of its menu options to view your SAP Shortcut entries in a different presentation mode
  • Properties... to change the definition of the selected item.

Note:
In SAP Logon Pad, the SAP Shortcut entry's context menu contains only the options Log On, System Status..., and View. (More information: 2.4 SAP Logon Pad)

2.2.4 The Favorites Folder

The Favorites folder allows you to easily bundle a group of systems that you currently use frequently:

To add a system connection to your Favorites folder, select the Connections folder and drag and drop the system to the Favorites folder icon on the left:

Note:
The newly-created favorites entry is not an additional system connection but only a link to the respective one listed in the Connections folder. Deleting the favorite does not lead to the deletion of the connection.

You can rename the favorites entry either by choosing the [image] button or by opening the context menu for this entry and choosing Properties...:

2.2.5 Logging on Using a Folder Entry

Without Secure Network Communication

  1. Select a system from the list of items in the Connections folder.
  2. Choose the [image] button from the toolbar.
    Logon window for the relevant system is displayed as follows:

  3. Enter your user ID, your password and a language (optional, if you do not enter a language, the default language is selected), and press the Enter key.

With Secure Network Communication

  1. Select a system from the list of items in the Connections folder.
  2. Choose [image] from the toolbar:
    • If there is only one client associated with your user in the target system, you access the system directly.
    • If there are multiple clients associated with your user in the target system, the following screen appears:

      Choose the client you need for your current task from the system's User Selection list by clicking it. You then access the system.

2.2.6 Variable Logon

Use this function to logon to an SAP system without adding an item to the Connections folder.

On the SAP Logon start screen, choose Variable Logon in the toolbar:

The following window, with the title Logon to System, appears:

  • To logon to a user specified system keep the default entry selected.
    The following steps are similar to the respective steps described in section     Choosing a System from the List of the procedure 2.2.2.1 Adding a New Entry to the Connections Folder (no description entry is necessary).

  • Alternatively, you can select a connection entry from the list and choose the Next button.
    The following steps are similar to the respective steps described in User Specified System in section 2.2.2.1 Adding a New Entry to the Connections Folder (no description entry is necessary).
The result of this dialog is just a single logon to the user specified system.

2.2.6.1 The Variable Logon Folder

After you have logged on to a system using variable logon, a new folder appears in the folder list of the main SAP Logon window:

All systems accessed by variable logon during the current session are listed here. The system name is extended by a number that indicates the chronological order of the system accesses.

Note:
The Variable Logon folder and all its entries are deleted when you close the SAP Logon session.

The Variable Logon is not available in SAP Logon Pad.

2.2.7 Viewing Entries in Each Folder

You can display the entries in each folder in different ways. Place the cursor in the input area, open the context menu with the right mouse button, and choose a submenu of View. Large Icons, Small Icons, List, Details.

2.2.8 Configuring SAP Logon

See section 6 Adjusting the Local Layout for details.

Note:
Administrative Configuration:
You need to have access to the registry key HKEY_LOCAL_MACHINE. More information: SAP note 38119.

2.2.9 Showing SAP Logon Version

To call up information about the SAP Logon version, proceed as follows:

  1. Click the icon in the top left-hand corner of the SAP Logon window.

  2. Choose About SAP Logon....
    The following screen appears:

  3. To display the information, choose Client Environment.

    The Current Directory field in the Additional Information section is particularly important because this folder contains trace files and log files.
    To close this box, choose OK .

  4. To see the files loaded by SAP GUI, choose Loaded DLLs.

    To close this box, choose OK.

  5. To save version information to your local machine, choose Save Version Information.
    A dialog box to save the files appears. A specific name and a saving path for the file to be created is proposed. Change it only if necessary and choose Save.

2.2.10 Closing and Canceling SAP Logon

To close SAP Logon if no SAP GUI session is running:

  • Choose the cross [image] in the top right of the SAP Logon window
  • Click the icon in the top left of the SAP Logon dialog box and choose Close.
  • Open the context menu for the SAP Logon icon in the system tray (see 2.2.11 Accessing the System Tray Menu) and choose Close SAP Logon.

However, if you have some SAP GUI session(s) running, calling Close SAP Logon just minimizes the SAP Logon window.
You can close SAP Logon if one or more SAP GUI session is running by:

  • Logging off from all the system(s) and then closing SAP Logon (as above)
  • Opening the context menu for the SAP Logon icon in the system tray and choosing Shut Down SAP Logon:

2.2.11 Accessing the System Tray Menu

The system tray consists of a series of icons in the bottom right of the desktop. To display the relevant context menu, right-click the icon in the system tray.

You can use the SAP Logon icon in the system tray to do the following:

  • Access an SAP System
  • Close Sessions
  • Close SAP Logon
  • Shut down SAP Logon
  • Minimize all session windows
  • Restore all session windows

Note:
The context menu for the SAP Logon icon in the system tray shows only the sessions started by the SAP Logon process (saplogon.exe or saplgpad.exe). Sessions started by other processes like sapgui.exe or sapshcut.exe are not shown in the sessions list and cannot be minimized by choosing the context menu entry Minimize all session windows. For details and the workaround, refer to SAP Note 515156 and related SAP Notes.

2.2.12 Showing SAP System Status

If a Web page was created with the status of SAP systems (more information: SAP note 1087494), the Status button is displayed on the main SAP Logon window as follows:

This opens the SAP system status web page.

2.3 Using SAP Shortcut

SAP shortcuts allow the user to start SAP transactions, run reports, and execute system commands directly from the Microsoft Windows desktop. This means that you do not have to navigate through menus. To use SAP shortcuts you must be using a 32-bit Microsoft Windows operating system.

2.3.1 Creating an SAP Shortcut

2.3.1.1. Creating an SAP Shortcut from your Desktop

  1. Place the cursor anywhere on the desktop (not on an open Microsoft Windows application), and right-click.
  2. Choose New -> SAP GUI Shortcut.

  3. Enter a name for the shortcut (keep the .SAP file extension if it is not hidden). Press Enter. The shortcut appears for example, as an icon on your desktop.

    You have now created a file for your shortcut. Next, you must define this file.

  4. Right-click the newly created icon to open the context menu, and choose Edit.

    The following dialog appears with its two tabs General and Options:

    On the General tab, you can make the following entries:

    • You need to enter a title for the shortcut in the upper area of the dialog box.

    • In the second area, you can configure a transaction, system command, or report that is automatically called when you start the system from this shortcut. Choose the relevant entry from the dropdown menu and enter the name of the transaction, system command, or report you want to start.
      This entry is not mandatory. If you leave the transaction/command/report field empty, the system starts with its default start screen.

    • In the next area, you need to configure the target system. You have two alternatives:
      • Choose a system description from the dropdown list. The list entries are provided by the logon dialog.
        In this case the two subsequent fields cannot be changed because a system description from the logon dialog contains all information required to log on to a system.
      • Choose the entry (Other System) from the dropdown list. Enter the value of the system ID. The Start Parameters field is optional: If you start the system with a specific action (transaction/command/report, see above), you can pass defined values for its input fields.

    • Within the last area of this dialog box you have to enter a user and a client used for the system logon. Be aware, that your current Microsoft Windows user is set as the default user value here. Change it if necessary.
      You can also change the logon language.

      Note:
      For security reasons, we strongly recommend that you do not enter a password here. The password is stored in an encoded format, but with a stored password the shortcut file always allows direct system access. Since shortcut files can, for example, be sent by e-mail or copied to other destinations, the stored password is a significant security gap. Therefore this option is not available for use by default. More information: SAP Note 146173.

    • Choose OK and switch to the Options tab.

    On the Options tab you can change some settings that are predefined with standard values:

    • You can define a Trace Level for your shortcut,
    • You can switch the size of the new window from normal size to maximum size
    • You can change the current working directory

    Use the checkbox Reuse Connections when launching shortcuts, if you want to avoid too many open sessions (more information: 2.3.2 Logging on Using SAP Shortcuts).

2.3.1.2 Creating a SAP Shortcut from a Specific Screen in the SAP System

  1. Go to the screen for the task you want to run, and choose Generate a Shortcut

    or choose [image] -> Create Shortcut ...
    The Create SAP GUI Shortcut dialog box appears (more information: section 2.2.3.1 Adding a New Entry to the Shortcuts Folder).
  2. Check that the information in the dialog box (User Name, Language, Type, Title, Transaction, etc.) is correct.
  3. Choose OK. The shortcut appears on your desktop.

2.3.1.3 Creating a SAP Shortcut in SAP Logon

For more information, see 2.2.3 The Shortcuts Folder.

2.3.2 Logging on Using SAP Shortcuts

  • If you do not have an SAP session running in the system the shortcut is targeting to:

    1. Double-click the SAP Shortcut for the task you want to execute. A logon dialog box appears.
    2. Enter your password. Choose Logon, or press Enter.

      3. The SAP session starts.
    3. To view or change your shortcut definition, display the context menu by right-clicking anywhere in the logon dialog box (except on the title bar, input fields, or pushbuttons).
      If you have not entered a password only the Edit option is activated. After you have entered the first character of your password, both the Open and Edit options are activated.

  • If you already have an SAP session running the system the shortcut targets:
    From the desktop double-click the SAP Shortcut for the task you want to run. If an application is already running in the system a new SAP session is started.
    Otherwise, the current SAP session starts the task you want to run if the same logon parameters defined in the shortcut properties are used in this session. If the SAP Shortcut was created for the system command /NTCD (/N + transaction code), the task is run only in the current SAP session, irrespective of whether an application is already running or not.

    To start a shortcut from within an open SAP session, drag and drop the shortcut onto the open session. The system starts the task you want to run. The following functions are also available:

    • To edit the shortcut use SHIFT + Drag and Drop.
    • To open a new session and start the task you want to execute use CTRL + Drag and Drop.

2.4 Using SAP Logon Pad

Use the icon

to open SAP Logon Pad.

2.4.1 Logging on Using entries in SAP Logon Pad

To log on, open a folder on the left of the SAP Logon Pad main window and select an entry. Double-click it or open its context menu and choose Logon.

SAP Logon Pad looks very similar to SAP Logon (more information: 2.2 Using SAP Logon). The difference is that you cannot change the entries in the SAP Logon Pad. You cannot, for instance, add, change, or delete the logon entries. The corresponding buttons in the toolbar are not active:

In SAP Logon Pad, the context menu contains only the Logon functions (with or without Single Sign-On) and some display variants.

Note:
In many cases employees use SAP Logon Pad to access the systems they work in. The required configurations are made available by a system administrator, so employees do not have to define configurations themsleves.

3 Elements of an SAP GUI Window

3.1 The Main Window

3.1.1 The Menu Bar

The bar shown in the screenshot below containing the menu options System, Edit, and so on, is called the Menu Bar.

The following menus are standard on every SAP screen:

Menu | Description
System | This menu contains the functions that affect the whole system. For example, enter Create session, User profile and Log off.
Help | Provides various forms of online help.

The following menus are standard in most SAP applications:

Menu | Description
<Object> | Usually named after the object you are currently working with, for example, Material. It contains functions that affect the whole object. For example enter: Display, Change, Print, or Exit.
Edit | Allows you to edit components of the current object. Standard functions include Select, Edit and Copy. The Cancel option lets you leave a task without saving the data you have entered.
Goto | Allows you to move directly to other screens of the current task. Also contains the Back option, which takes you back one level in the session hierarchy. Before going back, the system checks the data you have entered on the current screen and displays a dialog box if it detects a problem.

The following menus may also appear:

Menu | Description
Extras | Contains additional functions you can choose to complete the current object or an object component, but which you do not need regularly.
Environment | Contains functions to display additional information about the current object.
View | This menu enables you to display the current object in different views. Example: Switching between a single-line and double-line display of a table.
Settings | Allows you to set user-specific transaction parameters.
Utilities | Allows you to do object-independent processing, such as deleting, copying, and printing functions.

Sometimes not all of the available menus fit on one line in the menu bar. In this case, they wrap to the next line. The dropdown principle remains the same.

3.1.2 The System Function Bar

The system function bar is placed below the menu bar. It consists of a range of icons with general GUI functions and the command field. The command field is used to enter a transaction code.

For more information about icons, see Standard Icons Document.

The layout menu, identified by the icon [image] at the far right of the standard toolbar, allows you to customize certain SAP GUI for Windows settings (for example: cursor position and the TAB function).

3.1.3 The Title Bar

The title bar contains the name of the application currently being displayed:

When an SAP GUI window is inactive (the window does not have the mouse/keyboard focus)the title appears at the top and the menu is hidden. When the SAP GUI title is active the application menu is displayed.

3.1.4 The Application Bar

The application bar is located below the title bar. The application bar contains icons relevant to the specific application.

3.1.5 The Status Bar

The status bar provides general information on the SAP system and the transaction or task you are working on. System messages are displayed on the left of the status bar.

There are three fields on the right hand side of the status bar: one with server information, the other two with status information.

The status fields are described from left to right:

Status Field Description
Identifies an error message
Identifies a warning message
Identifies a success message
Hides (or displays) the status fields
Y1A (1) 000(example) Displays the system and client you are logged on to.
The number in brackets is the ordinal number of the session.
Displays the following system information:
  • System
  • Client
  • User
  • Program
  • Transaction
  • Response time
bsw6523
(example)
Displays the application server you are connected to.
INS
(example) 		Specifies your date entry mode. By clicking on this field, you can toggle between INSERT (INS) and OVERWRITE (OVR) modes.

Is active if a recording is running with SAP scripting. ( For more information about activating scripting on your local PC, ee 6.4 Accessibility & Scripting).

Is active if a local Tab chain order has been configured on the active screen.

The lock icon is closed if an SNC Connection to the server is open. If no SNC connection is open, an open lock icon is displayed.
For keyboard access to the elements of the status bar refer to section 8.2.18 Status Bar.

3.1.6 The Dynpro Area

3.1.6.1 Fields

A field consists of:

  • Field name
  • Field data

Field data is a single unit of information, such as a customer's name or account number.

Most of the tasks you perform in the SAP system involve data entry. Typically, you enter data in input fields.

Input fields vary in length. In some cases, the length of an input field determines how many characters you can enter in the field. In other cases, input fields are scrollable – that is, you only see part of the entry in the field.

  • Using the keyboard for navigating and editing data in fields
    refer to section 8 Keyboard Access in SAP GUI for Windows.

  • Insert and Overwrite Modes:

    • Insert: Any data to the right of the cursor moves to the right as you type.
    • Overwrite: You type over any data to the right of the cursor.

    You use the Overwrite mode to overwrite data, and the Insert mode to insert data between existing data (for example, if you left out a letter in the middle of a word).

    The default entry mode is Insert. However, you can to switch to Overwrite at any time.

    The status bar shows which mode you are currently in. INS stands for the Insert mode and OVR for Overwrite mode.
    To switch entry modes, choose the INS key (insert).
    The current entry mode changes to the new entry mode.
    The INS key is a toggle between the two modes, that is, the entry mode changes each time you press INS.
    You can also toggle between modes by clicking the entry mode status field at the far right of the status bar.

  • Procedure for Insert mode:

    1. Use the cursor to highlight the existing content of the field.
    2. Type in the new data.

    The entire content of the field is replaced by whatever you type.

  • Procedure for Overwrite mode:

    1. Make sure you are in the Overwrite mode (OVR in the status bar). If you are not, choose the INS key to switch to this mode.
    2. Place the cursor at the point in the data where you want to start overwriting.
    3. Type over the old data. You can use the DEL key to delete data to the right of the cursor.

    To change other input fields on the screen, repeat steps 2 and 3.

  • Entering data on a screen:

    1. Enter data in all of the appropriate input fields on the screen.
    2. To have the system check the entries and proceed to the next screen in the task, press Enter.
      The system checks your entries. If the system finds any errors, for example, entries whose format is incorrect, it displays a message in the status bar and places the cursor in the field you need to correct.
      If the system does not find any errors, the next screen appears.
    3. If the system found errors, change the incorrect entries.
      If you need help determining valid entries for an input field, see the Help on Possible Entries for the respective field.
    4. When you have finished making changes, press Enter.
      The system checks your entries again. Repeat steps 3 and 4 until the system does not find any more errors and the next screen appears.

    At this point, you can either save your data or cancel the task.

  • Typing Data into an Input Field:

    1. Click anywhere in the empty input field. The cursor jumps to the beginning of the field.
    2. Enter your data.

  • Required Input Fields

    If the screen you are working on contains any required input fields, you must enter data in these input fields before you can proceed to the next screen or to the next tab (if the screen contains tabs).
    Generally, if a screen has no required input fields, you can go to the next screen or tab without entering data in any field. Some screens, however, have required input fields that are not identified from the beginning. This situation can occur if

    • You enter data in an optional field that has required fields associated with it
    • You need to enter data in one of several input fields. For example, freight can be delivered on a specific day or week. Neither the Day field nor the Week field are identified as required input fields; however, you must complete one of the fields - not both.
    If you have not completed all required input fields on a screen when you choose OK to proceed, the SAP system displays an error message in the status bar. At the same time, it places the cursor in the required input field so that you can enter the required data.

Some input fields contain data that is for display only; you cannot change or delete the data in these input fields. Input fields whose background is the same color as the background of the screen contain data that you cannot change.

3.1.6.2 Radio Buttons and Checkboxes

To enter information in the SAP system, you must sometimes choose between several options. In some cases, you can select only one option; in others, you can select more than one.
When you can select only one, the options are identified by radio buttons.

If more than one selection is possible, the options are identified by checkboxes.

  • Selecting Options with Radio Buttons

    • To select an option, click the radio button next to that option. The selected radio button is now filled in.
    • To change your selection, click a different radio button. The original button is now empty and the new selection is filled in.
    • Keyboard:
      Refer to sections 8 Keyboard Access in SAP GUI for Windows and 8.2.8 Radio Button.

  • Choosing Options with Checkboxes

    • To select one or more options, click the checkbox next to each required option. The selected checkboxes now contain a checkmark.
    • To deselect a checkbox containing a checkmark, click it again. The checkmark disappears.
    • Keyboard:
      Refer to sections 8 Keyboard Access in SAP GUI for Windows and 8.2.7 Check Box

3.1.6.3 Pushbuttons

Pushbuttons are used to execute various functions. The elements Details, Select another flight, and Cancel flight in the screenshot below are pushbuttons:

Keyboard:
Refer to sections 8 Keyboard Access in SAP GUI for Windows and 8.2.3 Pushbutton.

3.1.6.4 Tabs

The elements Assignment, Control, Period Closing, and General Data in the screenshot below are tabs:

Tabs are used to switch between different screen content. In transactions containing multiple screens, they provide a clearer overview. In addition, tabs enable you to proceed from one tab page to the next without having completed all the data. To access a tab page, select the corresponding tab header.

In some cases, you must complete all required input fields on a tab page before you can move to the next tab page.

In the case of longer tabstrips, not all of the tabs appear on the screen. The left and right arrows at the top of the tabstrip allow you to scroll to all the tabs.

If you choose the button at the right of the tabstrip, the system displays a list of all the tabs on the tabstrip. If you select a tab from this list, the selected tab page moves to the foreground.

Tabs are arranged in order of importance or in the process order of the transaction.

Keyboard:
Refer to sections 8 Keyboard Access in SAP GUI for Windows and 8.2.16 Tabstrip

3.1.6.5 Table Controls

The Table Control function enables you to modify the standard SAP table format as necessary. This is especially useful when standard SAP tables contain columns you do not use.

Table controls provide the following features:

  • Fixed and variable columns. Variable columns have a horizontal scrollbar at the bottom.
  • You can resize columns:
    When you move the cursor to the gridline between two columns, the cursor changes to a double-headed arrow. To change the column width, click the left mouse button, and move the gridline to the required width.
  • You can rearrange columns using drag and drop:
    Place the cursor in the header of the column you want to move, hold the left mouse button, and move the column to the required position.
  • If you move the cursor along the horizontal scrollbar, quick infos appear indicating the column that would jump to the first display position (after the fixed columns) if you click the scrollbar at that location.
  • You can set the optimal column width (as defined in the SAP system) by pressing and holding the Shift key, and clicking the left mouse button within any column header.
  • Icons at the bottom of a table are specific to that table. Some icons commonly used in tables are:
    Icon | Name of Icon | Description
    Choose detail | Displays all information currently available on the selected item
    Create line | Adds a line
    Delete line | Deletes a line
    Select all | Selects all table entries
    Deselect all | Deselects all table entries

Use the keyboard to select rows or columns in a selectable table control:

For information about keyboard access, see 8 Keyboard Access in SAP GUI for Windows and 8.2.15 Table Control.

Note:
The table control must be selectable, that means it must contain the selecting buttons.

3.1.6.6 List Controls

If large amount of data is to be displayed, it can be grouped into lists, which are structures set up like tables made up of columns and rows:

You find detailed information about how to work with the ALV control on the SAP Help Portal, within the chapter SAP List Viewer for SAP GUI

Keyboard control: For information about keyboard access, see 8 Keyboard Access in SAP GUI for Windows and 8.2.14 ALV Grid.

3.2 Dialog Boxes

The SAP system displays dialog boxes when the system:

  • Requires more information before it can proceed
  • Is providing information, such as messages or specific information about your current task.

Before you can continue, you must choose an action from a dialog box. To choose an action, press one of the buttons at the bottom of the dialog box.

If you end a task without saving your data, or you choose a function that may cause you to lose data, the SAP system usually displays a dialog box in which you are asked to confirm or cancel your action.

3.3 Displaying the System Status

To display status information about a session choose System -> Status in the menu bar.

4 Working with Sessions

After you have logged on to an SAP system, you can work in multiple sessions. This may be useful if you want to run different tasks in the same system at the same time. For example, you can run a report in session one and use session two to display the contents of a database table.

Note:
A set of data can only be edited by one user and in one session at a time. Multiple write accesses for multiple sessions to the same set of data is denied.

Each session is independent of the others. An operation on one session (for example, closing it) does not affect the other sessions.

Note:
Too many open sessions can result in slower system performance. The system administrator specifies the maximum number of sessions you can have open at one time.

4.1 Creating a New Session

To create a new session from anywhere in the system, you can:

  • Choose System -> Create session
  • Choose
  • Enter /o as a prefix to a transaction code in the command field.

The system opens an additional window. The new session becomes the active session and remains the active session unless you click on a different (open or new) session.

Each session has a session number that is displayed in the status bar:

4.2 Displaying a List of All Sessions

To display a list of all sessions for a system, enter /o in the command field and confirm.

The trace dialog box will be displayed as follows:

4.3 Closing Sessions

After you have finished using a session, close it. Each session uses system resources that can affect how fast the SAP system responds to your requests.
If you have only one session open and you end it, you log off from the system. However, before logging you off, the system prompts you to save your data.

Note:
Before you end one of multiple sessions, you have to save any data you want to keep. In this case the system does NOT prompt you to save your data.

You can close a session in the following ways:

  • Choose System -> End Session
  • Click on [image] in the right hand corner of the active session.
  • Enter /i in the command field of the session you want to close
  • To close a specific session enter /i followed by the number of the session you want to close in the command field of any of the sessions. For example, /i3 to close the third session.

You can close all the sessions at once in different ways:

  • Enter /nend in the command field.
    /nend prompts you to confirm that you want to close all the sessions.
  • Enter /nex in the command field.
    /nex closes all the sessions without prompting.
  • In the menu bar choose System -> Log off

5 Working with the Clipboard

You can transfer field contents to and from the operating system clipboard using the operating system clipboard interface.

5.1 Operating on Single Fields

You can operate on single fields as follows:

  1. To select a field or a text you want to copy or move, click and drag the cursor over the respective text. The selected text is highlighted.
    • To remove the information from an input field and place it onto the clipboard of your operating system, choose Cut ( CTRL + X ). The field is now blank.
    • To copy the selected information onto the clipboard, choose Copy ( CTRL + C ). Data remains in the field.
  2. To paste the text, position the cursor where you want the information to be inserted and then choose Paste ( CTRL + V ). The text is pasted at the current cursor position. The transferred data remains in the clipboard until you use Cut or Copy again to move or copy new texts onto the clipboard. You can insert the texts into fields on another SAP screen or an external application.

5.2 Operating on Multiple Fields

To copy the data from several fields or different field types of the screen onto the clipboard, you must turn on selection mode:

  1. Choose [image] Clipboard -> Mark ( CTRL + Y ). The pointer changes into a crosshair cursor.
  2. Click in one corner of the area you want to copy, keep the mouse button pressed and drag the cursor to the diagonally opposite corner (for example, from top left to bottom right). The system displays the characters selected.
  3. Release the mouse button when the rectangle covers the entire text you want to copy.
  4. Choose Copy ( CTRL + C ) or Cut ( CTRL + X ). The selected text is copied into the clipboard. If you choose Cut, the selected texts are deleted from the input fields.

    The clipboard now contains all the information from the fields you have selected, including the field names and short descriptions. You can use this method to copy the content of all selected input fields into a screen with the same layout. Because the field names are appended to the previous input field, they are truncated.

    Note:
    In this mode you can only copy the visible part of the fields. The invisible part the input field is truncated.
    For an input field this operation only copies displayed characters to the clipboard, blank characters are not copied.
    If an input field already contains text, the clipboard copy function behaves differently depending on whether you use overwrite (OVR) or insert (INS) mode.
    • Overwrite Mode (OVR)
      This operation overwrites characters in the input field. Exactly the same number of characters is copied that were taken from the original input field. If the number of newly inserted characters is smaller than the number of characters that are already in the input field, the last characters of the first input are retained.
    • Insert Mode (INS)
      This operation inserts the characters from the clipboard at the beginning of the input field without overwriting the original content. If the length of the field is not sufficient for all the characters from the clipboard, only the characters that can fit are pasted in. This means that the original content of the input field is retained.

    This feature can also be used for copying SAP information and pasting it into an external program, such as Microsoft Word.

You can also execute the clipboard functions by choosing [image] -> Clipboard -> Mark/Cut/Copy/Paste.

6 Adjusting the Local Layout

You have three basic possibilities for configuring the look and feel of your SAP Logon dialog and your system access: You can open the Options... dialog using

  • The SAP Logon start screen

  • An SAP GUI window

  • The Microsoft Windows start menu -> Control Panel -> SAP GUI Configuration.

Note:
The following documentation section describes the Options dialog primarily accessed using SAP Logon since this is the most important way. Several small differences to the dialog accessed using the system or the Control Panel are described in separate sections:
6.12 Calling the Options Dialog from a System
6.13 Calling the Options Dialog from the Control Panel

The Search Function
Within the Options dialog you can use the Search function:
All pages of the dialog are searched for the string you have entered. Pages with hits are marked in the tree on the left.

Note:
Most of the configuration attributes that you can manipulate are global: This means that changes affect not only the system you are working in, and from which you probably called the Options dialog, but also all other systems you access afterwards. Some changes even affect SAP Logon itself.
Some changes take effect immediately after closing the Options dialog, others only in the next session opened. Some changes even require a SAP Logon restart. You can find details within the description of the respective attributes.

Note:
The button Restore Defaults deletes all locally stored option settings and resets them to the default values delivered by SAP. Here you have the option to deal with your settings and security rules separately. You can choose either of the following:
  • Reset all presettings but leave those defined by your security rules
    or
  • Delete only those security settings created by you without resetting all other settings back to default
    or
  • Reset both, the settings made by you and the security rules created by you, to the default values delivered by SAP.

Note:
The settings of the options dialog can be set by the system administrator to a read-only mode. Depending on whether you want to freeze all setting options of a dialog or only individual values, in the title bar you can choose [read-only] or [part read-only].
For more information, read SAP Note 1669256.

6.1 Themes

Several SAP GUI options depend on which theme you have chosen for SAP GUI. Therefore selecting the right theme for your application is the first step of the configuration procedure.

By default, SAP Signature Design is selected.

Note:
After having changed the SAP GUI theme, a restart of SAP Logon is required!
The Theme selection affects all system accesses and SAP Logon itself.

6.2 Visual Design

After you have selected the right theme for your application, you are now able to adapt visual settings such as font settings or included applications:

6.2.1 Theme Preview/Settings

A preview of the selected theme is displayed on the right.
If you change the Theme selection in the dropdown menu above, the displayed preview immediatly adapts to your latest selection. Be aware that, if you want to change your selection, you have to choose Apply and restart the SAP Logon before you proceed.

  • Activate animated focus
    (Only available for SAP Signature Theme and Corbu Theme)
    Small red corners point to the field where the cursor is currently active, press Ctrl to highlight the current cursor position.
  • Activate high contrast theme
    see 6.2.1.1
  • Show shadow border
    (Only available for SAP Signature Theme)
    If necessary deselect this option to enhance the performance.
  • Use Corbu style icons
    (Only available for SAP Signature theme)
    Together with the Corbu theme a graphically updated set of system icons has been delivered. You have the option to use more modern icons with the SAP Signature theme too.

6.2.1.1 High Contrast Theme

This mode may be important for people with visual impairments. The displayed font colors are switched to white on a black background:

  1. Mark the checkbox Activate high contrast theme
  2. Choose Apply
  3. Restart SAP Logon

Note:
Only the SAP Signature Theme and the Enjoy Theme offer the possibility of selecting a high contrast theme.

6.2.2 Font Settings

Select proportional font:
This selection is active only if you have selected proportional font.

6.2.3 Branding

Note:
You can only use a branding for SAP Signature theme and Corbu theme.

You have the option to provide the title bar of a SAP GUI session with a branding of your choice.
This option must first be activated by the system administrator (for more information, see SAP Note 1669254). The graphic you selected is scaled to the available height of the title bar in keeping with the aspect ratio.

6.2.4 SAP Signature Theme: Default Color

You can define a system and client-independent default color that you want to use for our future logons. This color setting is always used if no system-specific configurations have been defined in the system you want to log on to (see 6.12.1 SAP Signature Theme: Color in System).
With the checkbox Accept default color defined by SAP system you can give preference to a color setting defined in the backend system over your personal setting. For more information about defining default color settings, see SAP Notes 1640960 and 1642105.

6.2.5 Enjoy Theme: Color Settings

You can only define color settings for the themes Enjoy, Streamline, Tradeshow, and System Dependent. Therefore this function is only active, if you have currently selected one of these themes to display SAP GUI:

  1. Choose the Configure Color Settings button.
  2. Select one of the offered variants on the left or configure your personal settings for foreground and background colors:

    • To save your personal setting as a selectable variant choose Save as..., enter a name, and confirm the dialog. The new color setting variant is listed on the left side of the dialog box and can now be selected.
    • To delete a color setting variant that you had previously saved, choose Delete and confirm.
    • To reset the current configuration back to the default one, choose the Restore button. Your listed personal variants are not affected by this step.
  4. Choose OK to close the dialog.

6.2.5.1 Time Settings

If you set the checkbox Activate Time Settings, the Color Settings dialog is extended. With the additional options you can configure a color gradient over a predefined period of a maximum of one day. The background and foreground colors will then start with the selected start colors and change slowly to the selected end colors.

6.2.6 Classic Theme: Options, Color in Lists, Color in Forms

Only the Classic GUI theme offers additional options and the possibility to configure the colors in lists and forms:

Check which configuration best fits your requirements.

6.3 Interaction Design

These pages contain a number of settings related to interacting with the system, such as notification sounds and behavior of screen elements.

6.3.1 Keyboard Settings

The Keyboard settings contain the following checkboxes:

  • Switch on access keys:
    See table 8.4 Other Hot Keys

  • Automatically move focus to next input field ... :
    If automatic tabbing is activated, the cursor automatically moves to the next input field when the maximum number of characters has been entered in a field. This function is useful if you are entering a large amount of data and you do not want to press the TAB key to move from field to field.
    AutoTAB only works at the end of an input field. For example, if the Material field can contain 12 characters, but the material number you enter is only 7 characters long, you must still press the TAB key to move to the next input field.

  • Remember Text Cursor Position Within Input Fields:
    This function is useful when an input field is accessed repeatedly by tabbing. If this function is activated, the cursor is located exactly where it was located the last time this input field was quit.
    If the keyboard setting "When Selecting a Field in Input Mode (INS)..." and input mode (INS) are selected, the function "Text Cursor Position..." cannot be used.

  • Position Text Cursor at the End of the Value when Entering a Field:
    In this case the cursor is located at the end of the text of an input field if you click to the right of the text (in the empty space of the input field). For right-justified input fields the cursor is located to the left of the text if you click in the entry field to the left of the text.

  • Autom. Select the Complete Value when Entering a Field in Insert Mode (INS):
    If this function is activated, the content of an entry field is selected automatically when you jump to the field using the tab key. Insert mode (INS) must be activated for this.

  • Automatically move mouse cursor to focused element (...) :
    This option means that the mouse pointer always moves automatically with the focus in a SAP GUI session (this does not apply to SAP Logon). If you jump from one UI element to the next using the keyboard then the mouse pointer is also placed on this element automatically. This option makes sense when using magnification tools, such as Microsoft Windows Magnifier, as the area displayed by these tools is not determined by the focus, but rather by the position of the mouse pointer.

Change the selections if necessary and confirm the dialog.

6.3.2 Visualization

The Visualization settings contain the following options:

Cursor Width
Setting | Function
Narrow Cursor | Selected: A narrow cursor is used.
Wide Cursor | Selected: A wide cursor is used.
Block Cursor | Selected: A block cursor is used. It is wide or narrow depending on the other settings for the cursor width.

Controls
Setting | Function
Show keys within dropdown lists | Selected: Keys are also displayed in dropdown lists. This setting is useful for experts who prefer working with keys rather than textual descriptions. Unselected: Only texts are displayed in dropdown lists.
Sort by keys within dropdown lists... | Selected: All items in the dropdown list are sorted by key. Unselected: The items are sorted in accordance with the application settings.

Batch Input
Setting | Function
Dialog box for OK code | Selected: An additional dialog box for the OK code will be displayed in batch input mode

Lists
Setting | Function
Use cursor within lists | Selected: The cursor can be used within lists as usual
Show lines in lists | Selected: Lines will be displayed in lists
Underline links in lists | Selected: Links will be displayed underlined in lists
Allow use of Microsoft ClearType for text in lists | Selected: The use of Microsoft ClearType for texts in the list will be allowed

Window Title
Setting | Function
Show additional information in the SAP GUI window title | Selected: Additional information about the connected system will be displayed in the title bar of the SAP GUI window - only as long as the window is not active. As soon as the window was activated the information disappears and the title bar is used to display the main menu bar.
Show ellipses (...) if text cannot be entirely displayed | Selected: Ellipses or three points (...), which indicate that the field content cannot be displayed in its entirety, are also shown in I18n mode. The default setting in this mode does not show them. (More information: SAP Note 1352364).

6.3.3 Notifications

The Notifications settings contain the following checkboxes:

Change the selections if necessary and confirm the dialog.

6.3.4 Control Services

The Control Services settings contain the following checkbox:

If you activate the Customizable docking container position option, you can change the position of the docking container in the SAP GUI window. With key combination ALT & F12 you can save the new position of the docking container, and delete it again.

More information about Control Services:
Appendix A: Working with Control Services.
Change the selection if necessary and confirm the dialog.

6.3.5 Sound Settings

The Sound settings contain the following checkbox:

Change the selection if necessary and confirm the dialog.

6.4 Accessibility & Scripting

To make SAP GUI more accessible for people with visual impairment, the following themes provide an accessible mode:

  • SAP Signature Theme
  • Classic Theme

If you switch the accessibility mode, the following two options are available for selection:

  • Include read only and disabled elements in tab chain:
    Deactivated and read only elements are not skipped when focus tabbing through the screen. Their content may also be important.
  • Display symbols in lists as letters:
    Unlike symbols, letters can be identified by a screen reader.

Note:

If you are using Classic Design or SAP Signature Design, have selected accessibility mode, and have started SAP Logon/SAP Logon Pad again, the tree structure on the left-hand side of the Options dialog box is now shown in a simplified way. Only this display is accessible by default for screenreaders. This display is also selected automatically if the Options dialog box is accessed using the screenreader JAWS. It is possible to activate accessibility mode in this way using the JAWS screenreader for every available design. The search function of the Options dialog box however does not apply in this case for technical reasons.
By selecting accessibility mode, SAP Logon/SAP Logon Pad is also displayed in a simplified way that is accessible for screenreaders (by activating the List View).

Scripting:
 SAP GUI Scripting is an automation interface that enhances the capabilities of SAP GUI for Windows and Java. Using this interface, end users may automate repetitive tasks by recording and running macro-like scripts. Administrators and developers on the other hand may build tools for server-side application testing or client-side application integration.

You can only configure the relevant settings if scripting is installed.
For information about installation and SAP GUI scripting API documentation, see SCN in the SAP GUI area. For information about recording and playing back scripts, see 6.14. Further Option - Script Recording and Playback
If necessary, change the settings and confirm the dialog.

6.5 Multilanguage Settings

Multilanguage functionalities are activated by default. You can configure the SAP GUI settings in accordance with your system environment using the following configuration pages:

6.5.1 IME

The attributes on this page affect the behavior of the Input Method Editor (IME) used to enter multilanguage characters.

Multiple Byte Input
Setting | Function
Continuous Input on 2 lines | Input multi-byte texts on 2 lines (input fields) continuously.

Close IME automatically
Setting | Function
On numeric or right-justified fields | Close IME on numeric or right-justified fields.
On one-byte fields | Close IME on one-byte fields.

Alternative IME On/Off Key
Setting | Function
Shift + Space | Use Shift + Space to turn IME On/Off.
Ctrl + Space | Use CTRL + Space to turn IME On/Off.
None | Specifies no alternative IME On/Off key.

Change the selections if necessary and confirm the dialog.

6.5.2 Encoding

Text Encoding
Setting | Function
Auto-detect Latin1 characters | Latin1 characters are displayed even with a multi-byte character set.

Keyboard Layout
Setting | Function
Adjust font to the input language | Adjust the font and character set to the keyboard layout.

SAP Code-page
Setting | Function
Adjust font to SAP code-page at logon | Adjust the font and character set to SAP code page sent from the server. Default is ON.

Change the selections if necessary and confirm the dialog.

6.5.3 Graphic

Text Font
Setting | Function
User setting | Select the fonts for SAP Graphics. Using this option overrides the internal settings of the graphic.
Local Texts
Setting | Function
Always use this language | Display local texts of SAP Graphics in this language (example: "EN") regardless of the logon language.
PostScript Font
Setting | Function
Font file to load | Specify the file name of PostScript font to print SAP Graphics.
Font name | Specify the font name of PostScript to print SAP Graphics.

Change the selections if necessary and confirm the dialog.

6.5.4 Others

Shortcut Key
Setting | Function
Hide shortcut key for multibyte menu | Do not display shortcut keys for multi-byte menus.

Function Key
Setting | Function
Do not send any function keys when IME is open | Send no function key to the server when IME is open.

System Parameters
Setting | Function
Menu Font | Change the menu font
Title Font | Change the title font

Local Texts
Setting | Function
Use SAP Logon's language setting | Display local menus and messages of SAP front end in SAP Logon's language independently of the logon language.

RTL/LTR Layout
Setting | Function
Set layout according to the logon language | Set RTL layout when the logon language is Arabic or Hebrew. Default is ON.

Change the selections if necessary and confirm the dialog.

6.6 Local Data

6.6.1 History

Setting | Function
Off | No input history is available.
On | Input history is available up to a maximum length of 59. Your input will be stored locally in the database. When you input data or press the backspace key, a list is shown for the input field with focus
Immediately | The history list is shown immediately for the field with the focus before any entry is made.
Expire time | Specifies when entries are considered obsolete and can be deleted.
Maximum permitted file size | The maximum file size of the database stored locally for history items. This size must be greater than 0, because otherwise no history is available.
Maximum number of entries | Specifies how many values are stored. Numbers between 1 and 20 are allowed values.
Enable History for Fields up to | Specifies the length of input fields, up to which the system writes the history. The maximum possible field length is 255; the default is 59. Note that the change does not take effect until you restart SAP GUI.
Clear history | All history items are deleted. This applies across all systems.

Field-selective Enabling of the Input History
You can activate the history for individual input fields if their field length exceeds the general maximum length. To do this, place the cursor on the affected input field, press Ctrl, and then open the context menu of the input field with a single click of the right mouse button. The context menu also offers the entries the entries for the input history :

With Enable History you can permit all input histories, even if their field length exceeds the predefined length.
Accordingly, you can also use the Disable History function to prevent those input histories whose field lengths lie within the predefined limit: The function of the input history is completely deactivated for this field.
You can use function Use Default Setting to remove the field-selective setting again.

Directory of Input History
If the Options dialog has been called from the SAP Logon window or from the control panel of your local computer you can redefine the path of the local directory where the input history information is stored.

Note:
If you called the Options dialog from the control panel of your local computer, you can only change the path as long as you do not currently have a session open and no SAP Logon/Logon Pad is running.
If you called the Options dialog from the SAP Logon window, you can only change the path as long as you do not currently have a session open.

Change the selections if necessary and confirm the dialog.

6.6.2 Cache

Within the local cache downloaded pictures will be stored as well as data contained in dropdown lists.

Setting | Function
Maximum cache size | Specifies the maximum total size of all cache files.
Maximum cache file size | Specifies the maximum size of one cache file.

Change the selections only if necessary and confirm the dialog.

6.6.3 File Lifetime

On this page you can find out for how long files stored in one of these two directories are to be saved. As long as you do not change the default setting, all documents that you have downloaded and all trace files are not deleted but kept for an unlimited period of time. However, you can also specify for both directories that the files which are stored there are deleted either

  • Every time SAP Logon (Pad) is ended
  • Or after a time period that you have specified (since last change for documents, since creation for trace files).

A third directory where temporary files can be stored by the SAP System is always emptied when the SAP Logon is ended.

6.6.4 Local Tab Order

On this page you can specify the directory where you want to store configuration details of local tab orders. (For more information about local tab orders, see Configuration of the Tab Order).
  • Clear Local Tab Order:
    Deletes all defined local tab orders.

6.7 Traces

Traces help to find errors in programs. While a traced process is running, a trace file is created with all relevant information. This trace file is stored within the Trace folder. You can only configure the Trace folder on the Session Traces page, but you can also access it from the SAP GUI Traces page and the SAP Logon Traces page.

6.7.1 Session Traces

You can use session traces to get information about errors of different components of the application running in the current SAP GUI session. You may select one or more of these listed components, such as ABAP Editor or Calendar for tracing.

When you enable the session trace mode, all errors and warnings will be displayed automatically. Sometimes, you are also asked to activate Timestamps for performance tracing or to select Memory for tracing the memory usage of SAP GUI.
You then select one or more components to be traced. If you choose Select All, the whole list of traceable components is selected.
The following example shows how you should proceed to execute an automation trace:

  1. Choose Deselect All if necessary.
  2. Select the checkbox Automation from the components list.
  3. To generate detailed output, select the checkbox Detailed output.

    4. If you activate the checkbox Show window you see the generated text in a separate window. However, this has an adverse effect on performance.
  4. Choose Enable.
  5. Choose OK.
  6. Try to reproduce the error.

Note:
To get trace information about generic system functions select trace option General (formerly option Monitor) from the components list.

To turn off the trace settings, open the trace dialog box again and choose Disable. If View on Disable is selected, the trace file is opened automatically by choosing Disable. Otherwise you can open the trace file manually by choosing View Trace.
To close the trace dialog box, choose OK.

6.7.2 SAP GUI Traces

The SAP GUI Trace checks the communication between the backend server and your locally installed SAP GUI. You can activate the SAP GUI trace by choosing an appropriate trace level and confirming the dialog.
An alternative way to activate traces is described in 7.4 SAP GUI Trace

6.7.3 SAP Logon Traces

SAP Logon Trace is used to analyze problems within the SAP Logon dialog itself.
An alternative way to activate traces is described in 7.2 SAP Logon Trace.

6.8 Security

Security is a very important issue that always requires significant amount of attention. For example it is necessary to

  • Avoid dubious programs to be executed on the front-end PC
  • Prevent confidential documents from being accessed by unauthorized employees
  • Protect system-relevant configuration files against unwanted changes triggered by back end processes.

Note:
You find more information on SCN:
Security Guide SAP GUI for Windows.

SAP GUI provides a comprehensive tool for configuring a wide range of security settings:

The following Security Configuration Dialog allows you to define the settings in details:

You can filter existing rules by different criteria and search by individual rules. To sort the list by one of the columns, click on the respective column header. You can also hide rules that were created by SAP or by your system administrator. This can be useful because you cannot change these rules. If however, the security module starts to behave strangely, you can show any hidden rules again to ascertain whether two or more rules are in conflict with one another.

6.8.1 Security Status

The security status defines the overall level of applied security rules.

  • Disabled:

    No security checks are performed. The back end is able to execute any program the user has permissions for on the client PC.
    The listed security rules have no impact at all, all considered actions may be performed without any exceptions. The default Action is not changeable and displayed as Allow.

    Note:
    To avoid unexpected activities on the client PC we strongly recommend that you do not to use the security level Disabled.

  • Customized:

    If you select the security status Customized, the security check is performed on every considered action. There are now two possibilities:

    1. With Security Rule
      A rule for the respective file has been created (more information: section 6.8.2 Security Rules):
      SAP GUI now checks the predefined action (Allow, Ask or Deny) configured within this rule and acts accordingly.

    2. Without Security Rule
      No rule has been created for this file:
      SAP GUI performs the default action (Allow, Ask or Deny) as you defined in the Security Settings dialog.

    Note:
    If you select security level Customized, you have to think carefully about the default action:
    Choosing action Allow means abandoning the control over certain actions triggered by back end processes.
    If you choose Ask, the user is at least informed that a potenially critical action is attempting to be executed. He or she can decide whether or not to execute the action.
    In case of the selection Deny, the user is able to execute only those actions that are explicitly allowed in accordance with the configuration of their rules. Execution of unexpected actions, for which no rules exist, is denied by default.

    Customized: What happens at runtime?

    • Default Action Ask:
      Whenever an action-specific rule or the overall security status defines that the user has to decide whether or not the action is executed, a dialog box appears on the screen. For example:

      The text within this dialog box varies, depending on the origin of the asking procedure (rule or overall status), and on the affected file.

      The following table contains all possible options:

      Option | Effect on the action mentioned on the popup | Effect on security rules in SAP GUI options dialog
      Allow this one time | Allows the action the action tob executed once. You will be asked again in the future if this action is to be executed. | None
      Allow & Remember My Decision | If you select the checkbox Remember My Decision and select the Allow button, the action will be allowed for all future occurrences in this context. (For more information about Context, see 6.8.2 Security Rules -> Number of Contexts). | Security rule is created
      Deny | Denies the execution of the action this one time without creating a security rule Denying an action may lead to the application failing in case the action in question was required by the application. You will be asked again in the future if this action is to be executed. | None
      Deny & Remember My Decision | If you select the checkbox Remember My Decision and select the Deny button, the action will be denied for all future occurrences in every context. (For more information about Context, see 6.8.2 Security Rules -> Number of Contexts) | Security rule is created

      Your administrator should add rules to the existing default SAP GUI Security settings so that the standard applications your are using can be executed with no or very limited effect on the user. If you are using an application that generates a lot of SAP GUI Security popups you should consider contacting your administrator so that an appropriate set of security rules can be deployed.

      If you have accidentally created a security rule you can delete this rule in the SAP GUI Options dialog (see chapter 6.8.2.3 Rules defined by the User).

    • Default Action Deny:
      Whenever an action was denied due to the overall security status or an application-specific rule has "Deny" as its default action, the user will be informed with the following dialog box:

      To get more information about the denied request the user can click the Yes button. This will lead the the following dialog box:

      Click the Details... button to display all relevant details for a selected request. It is also possible to save the details to a local file without displaying them first. The Request Details dialog will offer again the possibility to save the details information.

      Contact your administrator if a certain request was denied unexpectedly due to a rule created by the administrator or due to a rule created by SAP. Check your own rule settings if it was denied due to a rule created by yourself.

    • Strict Deny:

      All incoming requests to execute a certain file or to open a certain document are denied without exception. Only rules specified by SAP are checked. User defined and administrator defined rules are not checked and therefore have no impact. The Default action is set to Deny and cannot be changed.

6.8.2 Security Rules

In the following Security Rules table you find all rules that currently exist for particular objects like executable programs, files, or registry values that have to be checked before being run, opened, or changed. The table contains various information about each rule:
Column | Content
Object | Object to be checked, including its local file path
Type | Object type (such as folder, file)
Access Type | Describes whether a file is read, written or executed
Action | Action that is predefined for this object within the rule (Allow, Ask, Deny or Context-Dependent)
State | Whether this rule is enabled or disabled
Origin | Origin of the rule (for example, delivered by SAP, created by the system administrator or created by the user)
Number of contexts | A rule can be defined explicitly affecting only a certain back end system or system-client combination. If you need to limit a rule in this way, you can declare one or more contexts for this rule. As long as the number is 0, a rule is not limited regarding a certain back end constellation.

The object types can also be recognized by a small icon put in front of the object entry:
Icon | Object Type
 | File
 | File extension
 | Directory
 | Registry key Registry value
 | Environment variable
 | ActiveX control
 | SAP Shortcut file
 | Command line

Note:
The rule semantics within the security module follow a Windows-like inheritance model: Rules for parent objects will apply to the child objects as well, e.g. rules for a directory will apply to all the files contained in the folder and all its subfolders.

6.8.2.1 Rules delivered by SAP

A number of existing rules, defined by SAP, are delivered with every SAP GUI. These rules are not changeable at all. You cannot edit or disable them. Rules defined by SAP cannot be restricted to certain systems so they have no contexts. Their number of contexts is therefore always 0.
You can select a rule delivered by SAP and choose the View button but in this case the following screen Rule Properties does not show any more details than the Security Rules table itself.

6.8.2.2 Rules defined by the Administrator

The system administrator is able to define rules that cannot be changed or enabled/disabled by a single user. He or she can add one or more contexts to a rule so that it only affects certain back end systems or certain system/client combinations.
Select a rule created by the system administrator and choose the View button to see any existing contexts.

6.8.2.3 Rules defined by the User

Every user can create security rules:

  1. Scroll down the Security Rules list and select the empty row.
  2. Choose the Insert button.

  3. On the following screen, define the object type, the object you want to be checked, and the action to be performed. The screenshot below shows an example:

    Applying this rule means that every time a back end process tries to execute the file notepad.exe, the user is asked if he or she will allow it in this case.
    Leaving the Security Rule Context table empty means that this rule will be applied to all back end systems.

    Note:
    Use '/' as path separator in directory, file, registry key and registry value names.
    Use '\' to escape the characters '[' , ']' and '\' in the names.

  4. Choose OK to save the rule and close the dialog, or if required, define one or more security rule contexts.
  5. To define a context, select the upper row of the Security Rule Context table and choose Insert:

  6. A new context is added with wildcard asterisks for the fields System, Client, Transaction, Dynpro Field, and Dynpro Number. Fill at least one of these five fields with a useful value, otherwise the context could be skipped.
    Double-click the table field you want to fill and enter an appropriate value.

    Note:
    Input in field Network is necessary only if you need to use a SAProuter to connect to a certain system. As long as all systems you need to work with are part of your local network, you can ignore this field.
    If you need to address a non-local system, you need to declare the respective SAProuter string in the Network field.
    A set of context conditions affecting local and non-local back end systems has to be created as several different contexts:
    • One context without a Network value for each local system
      (or one context with wildcard asterisk for all local systems) and
    • One context with a declared SAProuter string for each non-local system

  7. Check if the default action Ask is the one you want to be performed. Otherwise double-click it and switch the value to Deny or Allow.
  8. Double-click the value Disabled in the State column and switch the value to Enabled. If you only want the context to take effect later, keep the default value Disabled for now.
  9. Choose OK to close the dialog.

The new rule is now displayed in the Security Rules list. The one context created in the example above is counted in the last column.

The properties of this and all other rules created by a local user can be changed by choosing the Edit button.

Order of Rules Processing
All rules are processed in the order they are displayed in the Security Rules list. That means that the system first works through all SAP-defined rules, then all administrator-defined rules and finally all user-defined rules. The order of SAP-defined and administrator-defined rules cannot be changed by a user. Users can only define additional rules that are processed after all other rules. Therefore, the user can only manipulate the order of one self-defined rule to another.
If you want to change the order within the set of all user-defined rules, proceed as follows:

  1. Select a rule you want to bring up or down in the Security Rules list.
  2. Choose the Increase Priority button to bring the rule to a higher position, which means it is processed earlier than before.
  3. Choose the Reduce Priority button to move this rule further towards the end of the list. It is now processed later than before.
Take into account the order in which rules are processed if you get unexpected behavior related to the security settings. Sometimes rules can be defined contradictorily, which leads to processing conflicts. You may have to examine whether a certain rule was processed before or after a second one with potentially conflicting content. Then it may be necessary to change the order of your rules within the Security Rules list and/or to change single rule properties.

6.9 SAP Logon Options

6.9.1 SAP Logon Options - General

  • Language
    You can display SAP Logon in the language that you select.
  • Message server timeout in seconds
    This field specifies how long the SAP Logon waits for a response from the back end message server. The default value (ten seconds) is normally sufficient, even with slow wide-area network connections. If you experience repeated timeout connection errors, increase this value. If the error persists, there may be a network installation problem.
  • Confirmation of deletion of listbox entry
    Check this box if you want to display a warning before you delete a system entry or logon group entry from the SAP Logon.
  • Disable system edit functionality
    Check this box if you want to prevent logon entries from being changed. If the editing function is disabled, you cannot use the options Properties, New, Edit or Delete in SAP Logon.
  • Additional command line arguments
    You can enter any additional SAP GUI command line arguments in this input field, for example /WAN if you want to use a low speed connection for all your SAP systems.

6.9.2 SAP Logon Options - Configuration Files

On this screen you can check which configuration files are currently used for your local installation. This information may be important if functional problems occur. Your system administrator is able to adapt the content or path of all relevant files if necessary. (See also: SAP Note 38119 and 1409494).
Double-click the type name of a loaded local configuration file to display its content.

6.10 Front End Print

You can open the configuration dialog for front end printing here. The configuration dialog opens in a separat window and offers its own integrated help.

6.11 System Information

If you need specific installation details, you can find them on this page.

6.12 Calling the Options Dialog from a System

The page tree on the left varies depending on where you called the options dialog. The title bar also displays the system from which you accessed the dialog.

  • The folder Traces now contains only the Session Traces page. That means that you can now only configure the trace options for this particular system, not generally for all systems used by you in the future. You can enter a file path here for storing the trace file. Use View Trace button to display the last trace.
  • The folder SAP Logon Options is not displayed in this view. These two folders contain global settings that may only be configured in the Options dialog accessed through SAP Logon or Microsoft Windows Control Panel.

6.12.1 Signature Theme: Colors in the System

The SAP Signature Theme provides the option to vary the color display of different logons depending on the selected system and/or the selected client. Prerequisite for this is (see also SAP Note 1617682):

  1. The back-end system supports the use of different colors for each client.
  2. You are logged on to the system and have opened the options dialog from this session.

  • Color Setting for SAP System YXZ
    When you call the Colors in System page, the color currently used is displayed.
    If you have already specified on the Color Settings page (siehe Kapitel 6.2.4 SAP Signature Theme: Default Color) that you want to use the default color defined in the system for your system logons, the list of possible color settings contains the selection SAP System Configuration, provided one has been defined by the system administrator.
    If the system administrator has not predefined the color settings, or if you do not want to use these settings, the Standard Configuration setting will appear in the list.
    You can then make a new color selection. This selection will override any existing configuration, and will be valid for all your logons to this system.

  • Color Setting for SAP System YXZ Client 123
    Specifically for the client currently used you can either:

    • Use the setting defined for SAP system XYZ (see above) or
    • Select a different color.
    The selection for this specific client will then override the selection for the standard system logon.

For more information, read SAP Note 1669255.

6.12.2 Enjoy Theme: Colors in System

If you have selected the Enjoy Theme, you can change the system colors using this dialog. The selection is system-dependent and therefore only accessible from the respective system you are working in.

6.13 Calling the Options Dialog from the Control Panel

You can also call the SAP Logon Options dialog from the local Microsoft Windows Control Panel:
Start -> Control Panel -> SAP GUI Configuration.
The first folder Visual Design now contains an additional page, Applications.

Sometimes an SAP system call is performed by an external application, for example a Portal application. If you want this external application to start the system call using the design configured in SAP Logon, you have to add the application to the list shown on this page. Otherwise the external application uses the default system design.
The Applications configuration is only available for the themes SAP Signature and Enjoy.

You cannot access the local configuration files through the SAP Logon Options folder when you open the Options dialog from the Control Panel.

6.14 Further Options of the Customizing Local Layout Menu

Clipboard
More information: 5 Working with the Clipboard.

Generate Graphic
To extract some texts in simple UI elements like lists or edit fields from the screen in a separate window choose [image] -> Generate Graphic on the session screen.

Create Shortcut
More information: 2.3.1.2 Creating a SAP Shortcut from a Specific Screen in the SAP System

Activate GuiXT
GuiXT allows you to simplify transactions in an SAP system without having to modify them. You can hide screen elements that you do not need, or add elements such as checkboxes, pushbuttons, graphics, and documentation if this is beneficial to your system. The adjustments for a specific screen are recorded in a GuiXT script using simple keywords. The script is executed whenever you call its corresponding screen.
You can find more information on GuiXT on the Synactive homepage. To activate/deactivate GuiXT, choose [image] -> Activate GuiXT.
A checkmark against the menu option means that GuiXT has already been activated. Choosing the menu option changes the setting to the opposite of what it already was. For example, if it was activated then choosing the menu option deactivates GuiXT.

Script Recording and Playback SAP GUI Scripting is a tool to record and play back scripts to automate repetitive tasks. To enable scripting refer to section 6.4 Accessibility & Scripting and also SCN in area SAP GUI.
To record a task choose [image] -> Script Recording and Playback....
The following dialog box appears:

You can extend the dialog box to also see the saving options by choosing the More>> button:

Check the saving path set by default and change it if necessary, then choose [image] to start the recording. Perform the procedure you want to record. While the recording is active, this is indicated by the icon [image] in the status bar (more information: section 3.1.5 The Status Bar).
After you have finished the recording, choose [image]. The script is stored automatically. You can now replay the script by choosing [image].

Script Development Tools
The Script Development Tools offer you two different additional options:

  • Select Do a hit test on the window and choose OK. When you now move the cursor over different areas of the SAP GUI window, the GUI elements you are touching are identified by a red frame. Additionally the assistant displays the technical type and name of the respective GUI element and offers the possibility to copy this information.
    To exit this mode, choose Stop.

  • Select Troubleshot SAP GUI Scripting and choose OK. If any problems occur during the use of SAP Script, they are displayed here.

Default Size
To change the size of the SAP GUI window to its default size choose [image] -> Default size.

Hardcopy
Select this to create a hardcopy of the current SAP GUI window. The screen shot is sent to the locally defined default printer.

Character Set
A submenu group lists all character sets that are currently supported. You have to select one of them that suits your logon language for the SAP system.

Quick Cut and Paste
When this function is activated you can cut and paste as follows:

  • Select the text to be cut and pasted using the left mouse button.
  • Position the cursor where you want to paste the text.
  • The text is inserted when you click the right mouse button.

Note:
When this option is activated, you can open the context menu by pressing Shift + right mouse button.

Spelling Check
When you choose this menu option, all the input fields in a screen are checked, based on a hidden Microsoft Word document. The results are displayed as follows:

  • A text in the status line indicating that there are no errors
  • A list of incorrect words in the status line
  • A dialog box if there is a large number of incorrect words

This function has the following prerequisites:
  • Microsoft Office must be installed on the PC

7 Error Analysis

Note:
Traces can easily be activated using the respective pages of the Options dialog. For more information,see 6.7 Traces

Note:
After the trace has been completed, do not forget to turn off the trace. Otherwise, this adversely affects the system performance.

7.1 SAP Logon Pad Trace

  1. Close all SAP GUI windows and the prviously opended SAP Logon window. Use Microsoft Windows Task Manager to make sure that no processes like saplogon.exe, saplgpad.exe, or sapgui.exe are running. If they are, terminate them.
  2. Copy the desktop icon SAP Logon Pad to a new icon with a name like TraceSAPlogon-pad.
  3. Right-click the icon of TraceSAPlogon-pad and choose the context menu Properties.
  4. Choose the tab Shortcut on the properties popup.
  5. In the field Target add a space and then -TRACE=3 at the end of the old text (after the character "). For example:
    • "C:\Program Files\SAP\Frontend\SAPGUI\saplgpad.exe" -TRACE=3
  6. The directory given in the field Start in: is the current directory for the trace files.
  7. Choose the OK button.
  8. Double-click the icon TraceSAPlogon-pad.
  9. Start SAP Logon Pad and reproduce the problem.

The trace files saplogon_*.trc, saplgdll_*.trc, sapdpams_*.trc are written in the current folder. To find the path of the current folder look in the field Start in: on the properties dialog box of the TraceSAPlogon-pad icon.
Another way of seeing the path is as follows:

  • Click the icon to the left of the title SAP Logon Pad in the SAP Logon Pad window
  • Choose the menu About SAP Logon
  • Choose the System Information button.

If you are using SAP Logon instead of SAP Logon Pad, see SAP Logon Trace.

7.2 SAP Logon Trace

You can switch on the trace for SAP Logon by following the instructions for SAP Logon Pad Trace above only using the icon SAP Logon. The procedure to prepare the icon is exactly the same.

  • Double-click the copied and configured icon TraceSAPlogon.
  • Start SAP Logon and reproduce the problem.

The trace files saplogon_*.trc, saplgdll_*.trc, sapdpams_*.trc are written in the current folder. You can see the path of the current folder in the field Start in on the properties popup of the TraceSAPlogon icon.
Another way of seeing the path is as follows:

  • Click the icon to the left of the title SAP Logon in the SAP Logon window
  • Choose the menu About SAP Logon
  • Choose the System Information button.

7.3 SAP Shortcut Trace

  • For an SAP Shortcut saved as a file *.sap, such as an SAP Shortcut on the desktop

    1. Open the context menu of the shortcut icon and choose Edit. In the Edit dialog box change the trace level to level 3.
    2. Set the working directory where the trace files are stored. You can use the default working directory set in the *.sap file.
    3. Restart the SAP Shortcut with the new settings to create the trace file(s) sapshlib.trc in the working directory. Meanwhile SAP GUI log and trace files (*.log and *.trc) are also created in the same directory when the SAP Shortcut attempts to start SAP GUI.
    4. Get the trace file from the working directory and provide it to SAP by attaching it to a customer message in the SAP support system.

  • For SAP Shortcut command line

    1. Add two additional parameters -trc=3 for the trace level and -wd="C:\temp" for the working directory at the end of the command line.
    2. Run the command line and then close the SAP Shortcut or SAP GUI window started by the command line. The SAP Shortcut trace file sapshlib.trc is created in the working directory. Meanwhile SAP GUI log and trace files (*.log and *.trc) are also created in the same directory when the SAP Shortcut attempts to start SAP GUI.
    3. Get the trace file from the working directory and provide it to SAP by attaching it to a customer message in the SAP support system.

7.4 SAP GUI Trace

You can generate SAP GUI trace files and log files.

7.4.1 Running SAP Logon Pad

If you are running SAP Logon Pad proceed as follows:

  1. Create the icon TraceSAPlogon-pad as described in the section SAP Logon Pad Trace
  2. Start SAP Logon Pad by double-clicking the icon
  3. Logon to your SAP system and reproduce the problem.
      If you get an error message asking you: Do you want to see detailed error information?
    • Choose Yes and then
    • Choose OK in the next dialog box so that the trace file contains the error message.
  4. After the error occurs, log off from your SAP system.
    The trace files are written in the current folder.
    To see the path of the current folder:
    • Click on the icon to the left of the title SAP Logon Pad 7 in the SAP Logon Pad window
    • Choose the About SAP Logon
      • menu entry.
    • Choose the System Information button.

7.4.2 Running SAP Logon

There are two ways of turning on the trace in this case:

Method 1:

  1. Create the icon TraceSAPlogon as described in the section SAP Logon Trace
  2. Start SAP Logon by double-clicking the icon
  3. Log on to your SAP system
  4. Reproduce the problem.

If you get an error message asking you: Do you want to see detailed error information? Choose Yes and then OK in the next dialog box, so that the trace file contains the error message. After the error occurs, log off from your SAP system. In addition to the traces for the SAP Logon program, the trace files for the SAP GUI-program, such as sapgui_????.log and sapgui*.trc, are written in the current directory.

Method 2:

Turn on the trace for the SAP GUI program separately as described in section 6.7.2 SAP GUI Traces.

7.4.3 Running SAP Shortcut

If you are going to log on to your SAP system using an SAP Shortcut, turn on the trace as described in the section 7.3 SAP Shortcut Trace and double-click the SAP Shortcut. In addition to the traces for SAP Shortcut,the trace files for the SAP GUI program, like sapgui_????.log and sapgui*.trc, are written in the working directory defined in the SAP Shortcut.

7.5 Session Trace

There are two ways to activate this trace:

You can turn on the trace for subsequent operations in an existing SAP GUI window as follows:
  • Choose the [image] icon in the active SAP GUI window and select menu option Options....
  • On the option dialog, select the Traces -> Session Traces page.
  • On the page,you sometimes need to activate Timestamps for tracing performance or Memory for tracing memory usage by SAP GUI. Then, select in the list below one or more of the required trace components. Under Options, deactivate the flag Show Window. This accelerates working because the trace output is written to a file and not displayed in a window. For more information,see 6.7.1 Session Traces.
  • Reproduce the error in the active SAP GUI window.

Note:
You should only turn on the trace directly before the error occurs. After the traces have been created, turn off the trace as described in the section To turn off the trace, ....

The result is a trace file, the name of which is specified on the trace tab of the options dialog. You can send this file to SAP by attaching it to a customer message in the SAP support system.

8 Keyboard Access in SAP GUI for Windows

This document describes the use of keys on the keyboard for user interface elements of SAP GUI for Windows.

You can find detailed information about the keyboard support for using UI elements on the SAP Help Portal:
Keyboard Access in SAP GUI for Windows

Configuring the Accessibility Mode
If you need detailed information about how to configure the accessibility mode for SAP GUI for Windows, see the Accessibility section on the SAP Help Portal.

Levels of Interactivity
The level of interactivity of a user interface element depends on:

  • The basic state of the element (interactive or non-interactive)
  • the current state of the element (modifiable, read-only, or disabled)
  • the accessibility mode

Interactive user interface elements, such as input fields, allow interaction in principle, but their current states may be modifiable, read-only, or disabled:
  • Modifiable elements allow navigation and manipulation
  • read-only elements only allow navigation and selection
  • the Disabled elements are not modifiable in the current application context. They can only be navigated to in the accessibility mode. Disabled user interface elements indicate their disabled state; for example, they can be grayed out.

Non-interactive elements such as labels or decorations cannot be manipulated and can only be navigated to in the accessibility mode.

8.1 Navigation in User Interface Elements

Sequential element navigation moves the focus from one element to the next element. The focus moves along a predefined route, the tab order. Sequential element navigation using TAB and SHIFT + TAB to move the focus forwards or backwards can be very time consuming. When user interface elements are grouped in dialogs or screens, you can use group navigation more effectively and move the focus in larger steps. Choose CTRL + TAB to move the focus forwards and SHIFT + CTRL + TAB to move it backwards.

8.1.1 Using the TAB Key

Keyboard Command Cursor or Focus Movement
TAB
SHIFT + TAB 		Jumps to the next (TAB) or previous (SHIFT+TAB) input-enabled elements. Elements are input-enabled fields, pushbuttons, radio button groups, checkboxes, ActiveX controls, button bars, toolbars, but not menu bars.
  1. Command field and button bar are included in the tab chain for tab navigation.
  2. If an OCX control will not focus, a focus rectangle is drawn on its container in order to visualize the current focus, for example the SAP image control.
ALT GR + TAB
ALT GR + SHIFT + TAB 		Jumps to the next ( ALT GR + TAB) or previous (SHIFT + ALT GR + TAB) elements, no matter whether it is input-enabled or not.
CTRL + TAB
CTRL + SHIFT + TAB 		Jumps to the first element of the next group of elements (CTRL + TAB) or the first element of the previous group of elements (CTRL + SHIFT + TAB). Elements group = visible and invisible frames, ActiveX controls (such as tree control, toolbar control etc.) button bars, toolbars.
  1. Jumps to the previous group.
  2. Sub screens can be handled like frames if their KeepTab property has been set to TRUE in the Screen Painter.
LEFT/RIGHT/UP/DOWN ARROW

HOME, END 		Navigation inside the element (depending on the element type)
If the arrow keys are not reserved by the graphical elements, horizontal or vertical scrolling is performed if necessary. In this case, using the key HOME or END results in scrolling vertically to the first or last page. Compare with Microsoft Internet Explorer.

8.1.2 Configuration of the Tab Order

Normally on a screen you can navigate to the next field using the tab button. SAP GUI for Windows enables users to define a sequence of fields for use with the tab button:

  • Defining entry and exit points for the tab order You can define any field in a sequence of fields as the entry point for the tab order. Position the cursor in the chosen field and open the context menu of the field while pressing the CTRL key. From this now enhanced context menu choose Local Tab Order: Entry Point.

    You can then define a field further on in the tab order as the exit point. To configure your local tab order, press the CTRL key and open the context menu of your chosen field, and choose Configure Local Tab Order. If you have not already defined any configurations, the table in this dialog is empty. But if you have already defined entry and exit points, they are listed in the table. In the example below the E-Mail field has been defined as the exit point for the tab order:

    Entry and exit points can be defined independently of each other. Using the menu entry Visualize Local Tab Order you can display the tab order of a screen graphically. Provided no configurations have been defined, the cursor automatically jumps to field at the top left. The example below shows the original tab order of the dialog with no local configuration. (Since the tab order in the example dialog is embedded in a larger screen it does not start with ordinal number 1):

    If local entry and exits point have been configured locally, the visualization of the tab order changes accordingly.

    In this example the cursor enters the dialog by jumping to the field Postal Code/City. The tab order ends with the E-Mail field. With the next tab step the cursor already jumps to the next dialog. In the entry and exit point definitions you can shorten the tab order within a screen, but this will not change the order of the fields the cursor jumps to.

  • Defining From Elements and To Elements of Tab Orders

    With these functions you can define any order of fields. Position the cursor in the field with which you want to start a field order and open the enhanced context menu while pressing the CTRL key. Select the Local Tab Order: From element. Position the cursor in the next field you want to fill. From the enhanced context menu of this field choose Local TAB Order: To Element. The visualization below shows the result applicable if the E-Mail field was defined as the From Element, and the House Number as the To Element:

    In the configuration dialog this tab order looks like:

    With pushbutton Delete Local Tab Shortcut you can delete shortcuts that were created in the table.

Note:
If you have already specified a From Element for your tab order, the enhanced context menu for the screen provides only the option to specify a To Element. The tab order from the From Element and To Element is visible in the configuration table only after you have added the To Element. You can now specify a new From Element for the next tab order.
From Elements and To Elements are stored together as a value pair, and can therefore only be shown together in the configuration table.

Note:
The configuration option for the tab order is not available for all SAP GUI elements.
The following elements are currently supported:
  • Input fields
  • Radio buttons
  • Checkboxes
  • Labels

For information about hot keys, see chapter Keyboard Access in SAP GUI for Windows in section 8.2.19 Configuration of the Tab Order. For information about the directory to store local tab orders see 6.6.4 Local Tab Order

8.2 Additional Keyboard Access for Various UI Elements - Overview

The TAB key commands are working generally for all UI elements with appropriate functionality. Some elemtents offer additional key commands to simplify their usage. This document contains an overview of additional keys used for the following user interface elements of SAP GUI for Windows:

  • SAP Logon Window
  • SAP GUI for Windows Window
  • Pushbutton
  • Toggle button
  • Menu button
  • Configurable button
  • Checkbox
  • Radio button
  • Combo Box and Dropdown List Box
  • Menu
  • Input Field
  • Text Editor
  • ABAP List
  • ALV Grid
  • Table Control
  • Tabstrip
  • Splitter Control & Docker Control
  • Status Bar
  • Configuration of the Tab Order

8.2.1 SAP Logon Window

Action | Keyboard Command
Activate selected element | ENTER or SPACE
Select and activate element | ALT + underlined letter (accelerator key)
Activate entry in the list | ENTER
Accelerator Key Combinations for Handling Windows |
Move window | ALT + SPACE, then M
Resize window | ALT + SPACE, then S
Minimize window | ALT + SPACE, then N
Maximize window | ALT + SPACE, then X
Restore window | ALT + SPACE, then R

8.2.2 SAP GUI for Windows Window

Action | Keyboard Command
Jump to menu | ALT
Cancel actions, step-by-step | ESCAPE

8.2.3 Pushbutton

Action | Keyboard Command
Activate selected pushbutton | ENTER or SPACE
Select and activate pushbutton (simultaneously) | ALT + underlined letter (accelerator key)

8.2.4 Toggle Button: As Pushbutton with Following Additional Action

Action | Keyboard Command
Switch to pressed or unpressed state | SPACE

8.2.5 Menu Button: As Pushbutton with Following Additional Actions

Action | Keyboard Command
Open menu of menu button | ALT + ARROW down
Activate selected menu item | ENTER
Close menu of menu button | ESCAPE

8.2.6 Configurable Button: As Pushbutton with Following Additional Actions

Action | Keyboard Command
Open menu of configurable button | Context menu or SHIFT + F10
Choose menu item | ENTER

8.2.7 Checkbox

Action | Keyboard Command
Select or deselect checkbox | SPACE

8.2.8 Radio Button

Action | Keyboard Command
Set radio button | SPACE
Navigate and set | ARROW down or ARROW up
Navigation only | CTRL + ARROW down or CTRL + ARROW up

8.2.9 Combo Box and Dropdown List Box

Action | Keyboard Command
Call up the value list | ALT + ARROW down
Select a value | ENTER
Go to the end or the beginning of the dropdown list | END or HOME
Move the focus through a list with many entries in larger steps | PAGE up or PAGE down

8.2.10 Menu

Action | Keyboard Command
Open the main application menu | ALT or F10
Open the context menu of the main application | SHIFT + F10
navigate between the items in the main menu | ARROW left + ARROW right
Open the pull-down menu of a menu bar item | ARROW down
Leave a menu or to close a pull-down menu | ESCAPE
Close a submenu and go to the main menu item | ESCAPE or ARROW left

8.2.11 Input Field

Action | Keyboard Command
Call up the help documentation for this field | F1
Open the context menu for the focused input field | SHIFT + F10
Call up a history list and choose one of your previous entries | BACKSPACE
Move the text cursor between characters | ARROW right or ARROW left
Go to the next or previous word | CTRL + ARROW right or CTRL + ARROW left
Position the cursor before the first or after the last word or character in the field | HOME or END
Select characters in an input field | SHIFT + ARROW right or SHIFT + ARROW left
Select the word before or after the text cursor | CTRL + SHIFT + ARROW right or CTRL + SHIFT + ARROW left
Finish editing an input field and save your changes | TAB or ENTER
Open the context menu with additonal functions for input history | STRG + right mouse key

8.2.12 Text Editor

Action | Keyboard Command
Move the text cursor between characters within the text editor | CTRL + ARROW right or CTRL + ARROW left
Place the cursor in front of the first or behind the last word or character | HOME or END
Page forwards and backwards through the document | PAGE up or PAGE down
Go directly to the first or last page | CTRL HOME or CTRL END
Select characters | SHIFT + ARROW left or SHIFT + ARROW right
Select the word before or after the text cursor | CTRL + SHIFT + ARROW left or CTRL + SHIFT + ARROW right
Select the entire text from the left/the right of the cursor position to the start of the line | SHIFT + HOME or SHIFT + END
Select all text between the cursor and the start or end of the entire text | CTRL + SHIFT + HOME or CTRL + SHIFT + END

8.2.13 ABAP List

Action | Keyboard Command
Go directly to the first or last field in the table | CTRL + HOME or CTRL + END
Open a parent node in a tree and display its child items | F2

8.2.14 ALV Grid

Action | Keyboard Command
Start editing the text in an editable grid cell | F2
Call up a history list | BACKSPACE
Select an entire row | SHIFT + SPACE
Select an entire column | CTRL + SPACE
Select the entire grid contents | CTRL + A

8.2.15 Table Control

Action | Keyboard Command
Select an entire row | SHIFT + SPACE
Select an entire column | CTRL + SPACE

8.2.16 Tabstrip

Action | Keyboard Command
Move to the next or previous tab page | CTRL + PAGE up of CTRL PAGE down

8.2.17 Splitter Control & Docker Control

Action | Keyboard Command
Change the size of the selected pane | ARROW left, right, up, down

8.2.18 Status Bar

Action | Keyboard Command
Jumps to the next ( ALT GR + TAB) or previous (SHIFT + ALT GR + TAB) elements and so also reaches the system information in the status bar | ALT + GR + TAB, SHIFT + ALT GR + TAB
Opens the context menu of the system information | SHIFT + F10
Steps from one menu entry to the next | ARROW up, down

8.2.19 Configuration of the Tab Order

Action | Keyboard Command
Opens the dialog box Configure Local Tab Order | SHIFT + CTRL + L
Sets the selection Entry Point to the current GUI element | SHIFT + CTRL + N
Sets the selection Exit Point to the current GUI element | SHIFT + CTRL + O
Sets the selection From Element to the current GUI element | SHIFT + CTRL + S
Sets the selection To Element to the current GUI element | SHIFT + CTRL + T

8.3 Scrolling to View Information

When you view information (for example, a list or online help), not all of the information may fit in your window. To see the additional information use the scrollbars.

  • Up and down, use the vertical scrollbar
  • Left and right, use the horizontal scrollbar

To move | Do this
Up or down one line | Choose the up or down scroll arrow on the vertical scrollbar
Left or right one character | Choose the left or right scroll arrow on the horizontal scrollbar
Up or down one page | Click above or below the slider box on the vertical scrollbar
Left or right the width of the page | Click to the right or left of the slider box on the horizontal scrollbar
To a certain position in the information (up or down) | Drag the slider box on the vertical scrollbar to the approximate location of the desired information, and release the mouse button.
To a certain position in the information (left or right) | Drag the slider box on the horizontal scrollbar to the approximate location of the desired information, and release the mouse button

Further options:

Move to | Icon | Key combination
First page |  | SHIFT + F9, CTRL + PageUp
Last page |  | SHIFT + F12, CTRL + PageDown
Previous page |  | SHIFT + F10, PageUp
Next page |  | SHIFT + F11, PageDown

8.4 Other Hot Keys

Hot Keys | Result
ALT + F12 | Calls the menu dialog box for Adjust Local Layout
CTRL + Shift + P | Creates a hardcopy which shows no menu dialog box and can also contain status texts and modal dialog boxes.
CTRL + / | Cursor jumps directly to the command field.
CTRL + I | Cursor jumps to the first focusable field or control.
CTRL + + | Creates new session.
CTRL + ; | Creates SAP shortcut.
ContextMenu-Key = SHIFT + F10 | Calls context menu.
CTRL + Q | Shows tooltip for the focus control.
ESC in command field | Closes the dropdown list, if it is open.
CTRL + Z, CTRL + Y | Cancel and restores in input field.
Shift + CTRL + Alt + First Character of a Screen Element's Label | Cursor jumps from the current screen element to the next one, for which the label begins with the character, if the setting "Switch on access Keys" in Keyboard Settings is on. These screen elements include fields, checkboxes, dropdown lists, pushbuttons, and radio buttons. They exclude controls like ALV, HTML, and APOGrid.
CTRL + A | Selects all data in the User Interface element that is in focus (not available in all User Interface elements).

Hot Keys for SAP Logon:

Hot Keys | Result
CTRL + F | Moves the cursor into the filter field
CTRL + 1 to CTRL + 3 | Switchs between the view modes of SAP Logon (Explorer View, List View, Tree View)
CTRL + N | Creates a new item
CTRL + E | Edits the selected item

Appendix A: Working with Control Services

The Control Services offer additional features for tree printing, text editing, and ALV Grid handling. The following list shows an overview of these multilanguage-supported features:

Service | Description
Tree structure printing | You can print the contents of a tree structure (such as the one in the SAP Easy Access menu).

Text editing
  • You can spell check the text in the text editor with Microsoft Word.
  • You can send the content as mail using Microsoft Outlook as mail client.
  • You can select a specific word in the text editor and directly start searching the Web for it.
  • You can select a specific word in the editor and directly start searching for it in the SAP Library (help.sap.com).

ALV grid functionality
  • You can mark a specific word in the ALV Grid and directly start searching the Web for it.
  • You can mark a specific word in the ALV Grid and directly start searching for it in the SAP Library (help.sap.com).

To enable the Control Services, refer to section 6.3.4 Control Services.

Appendix A1: Printing Tree Structures with Control Services

You can print tree structures with the Control Services.

Prerequisites
The tree structure you want to print has to support context menus.

Procedures
To print the tree structure, proceed as follows:

  1. Since the tree structure is printed as it appears on the screen, open the structure nodes that you want to print.
  2. Then right-click anywhere on the tree structure to open the context menu and choose Services -> Print as shown in the following picture:

  3. A browser window opens, in which you can choose Print Tree to print the structure.

Appendix A2: Text Editing with Control Services

With the text editing features of the control services you can

  • Spell check the text in the text editor with Microsoft Word.
  • Send the content as mail using Microsoft Outlook as mail client.
  • Select a specific word in the text editor and search the Web for it.
  • Select a specific word and search in the SAP Library for it (www.help.sap.com).

Appendix A2.1 Spellchecking

To spell check the whole text shown in the text editor, right-click on the text to display the context menu, and choose Services -> SpellCheck. If you just want to spell check part of the text, select the corresponding part of the text, right-click and choose Services -> SpellCheck. This opens the Microsoft Word spell checker. When saved, your corrections are transferred to the text editor.
If the spell checker does not find any mistakes, Microsoft Word is closed again.

Appendix A2.2 Sending an E-Mail from the Text Editor

You can send an e-mail with the text shown in the text editor as the message body.

Prerequisites
You use Microsoft Outlook as your e-mail client.

Procedures
To send an e-mail with the text editor contents, proceed as follows:

  1. Right-click anywhere in the text editor and choose Services -> Mail in the context menu as shown in the following picture:

    Alternatively, you can send only part of the text as an e-mail by selecting the text part and right-clicking on it before using this function.
  2. A mail message containing the text from the text editor as the message body is opened and ready to be sent.

    Note:
    You cannot use the main Microsoft Outlook window until this mail has been sent or this new window has been closed.

Appendix A2.3 Searching the Web for a Keyword

You can select a specific word in the text editor and directly start searching the Web for it using the selected internet search engine.

Prerequisites
By default, Google is set as the search engine. You can change this setting by choosing
-> Options -> Interaction Design -> Control Services.
Just change the default search engine using the drop down list in the Web Search Provider frame.

Procedures
To search the Web for a keyword using your default search engine, proceed as follows:

  1. Select a word in the text editor, right-click, and choose Services -> Search in the context menu.
  2. A browser window opens showing the result of the keyword search in your default search engine.

Appendix A2.4 Searching the SAP Library for a Keyword

You can select a specific word in the editor and directly start searching for it in the SAP Library (help.sap.com) using your default search engine.

Prerequisites
By default, Google is set as the search engine. You can change this setting by choosing
-> Options -> Interaction Design -> Control Services.
Just change the default search engine using the drop down list in the Web Search Provider frame.

Procedures
Proceed as follows to search for a key word in the SAP Library:

  1. Select a word in the text editor and right-click to open the context menu. In the context menu, select Services -> Search SAP Help Portal.
  2. A browser window opens showing the result of the keyword search in the SAP Library (help.sap.com).

Appendix A3: Using the ALV Grid Features of the Control Services

The control services offer the following ALV Grid features:

  • Searching the SAP Library for a keyword
  • Searching the Web for a keyword

Note:
This functionality is not available for tables.

A3.1 Searching the SAP Library for a Keyword

You can select a specific word in the ALV Grid and directly start searching for it in the SAP Library (help.sap.com) using your default search engine.

Prerequisites
By default, Google is set as the search engine. You can change this setting by choosing
-> Options -> Interaction Design -> Control Services.
Just change the default search engine using the drop down list in the Web Search Provider frame.

Procedures
Proceed as follows to search for a key word in the SAP Library:

  1. Right-click on a word in the ALV Grid to open the context menu. In the context menu, choose Services -> Search SAP Help Portal.

  2. A browser window is opened showing the result of the keyword search in the SAP Library (help.sap.com).

A3.2 Searching the Web for a Keyword

You can select a specific word in the ALV Grid and directly start searching the Web for it using the selected internet search engine.

Prerequisites
By default, Google is set as the search engine. You can change this setting by choosing
-> Options -> Interaction Design -> Control Services.
Just change the default search engine using the drop down list in the Web Search Provider frame.

Procedures
To search the Web for a keyword using your default search engine, proceed as follows:

  1. Right-click on the word in the ALV Grid and choose Services -> Search in the context menu.
  2. A browser window opens showing the result of the keyword search in your default search engine.

Appendix B: Standard Icons

You can find a list of icons with short explanations in this standard icons document

Appendix C: Further Information

You can find more information about SAP GUI (including FAQs) in the SDN Area for the SAP GUI family.

Appendix D: Open Source Licenses

STLport License Agreement

Appendix E: SAP GUI Scripting API

You can find information on the SAP GUI Scripting API from the standard toolbar by choosing [image] -> SAP GUI Scripting Help.


SAP Icons

SAP GUI Icons Release 7.30

Icon | Corbu Icon | Name | ID
 |  | Cut | @2T@
 |  | Copy | @2U@
 |  | Paste | @2V@
 |  | Selection mode; Select | @2X@
 |  | Select all | @4B@
 |  | Select block | @4C@
 |  | Deselect all | @4D@
 |  | Deselect block | @8J@
 |  | Invert column selection | @8K@
 |  | Invert row selection | @8L@
 |  | Agent | @VV@
Icon | Corbu Icon | Name | ID
 |  | Move to far left; First... | @0B@
 |  | Move to far right; Last... | @0C@
 |  | One column to left; Previous... | @0D@
 |  | One column to right; Next... | @0E@
 |  | Page right | @0F@
 |  | Page left | @0G@
 |  | Previous value; Next entry | @0H@
 |  | Next value; Previous entry | @0I@
 |  | OK; Continue; Choose Value | @0V@
 |  | Cancel | @0W@
 |  | Other Object | @2Q@
 |  | Previous screen | @2R@
 |  | Next screen | @2S@
 |  | First page | @2Y@
 |  | Previous page | @2Z@
 |  | Next page | @30@
 |  | Last page | @31@
 |  | Header; Basic data | @3P@
 |  | Overview; List screen | @3Q@
 |  | Detail view | @3R@
 |  | Period screen; Breakdown over t | @58@
 |  | Next step | @B8@
 |  | Previous step | @B9@
 |  | Move to top of list | @HF@
 |  | Move to bottom of list | @HG@
 |  | Page up | @HH@
 |  | Page down | @HI@
Icon | Corbu Icon | Name | ID
 |  | Print | @0X@
 |  | Create | @0Y@
 |  | Change | @0Z@
 |  | Display | @10@
 |  | Delete | @11@
 |  | Test | @12@
 |  | Find | @13@
 |  | Copy Object | @14@
 |  | Execute Object | @15@
 |  | Choose Object's Details | @16@
 |  | Insert row | @17@
 |  | Delete row | @18@
 |  | Undo | @2W@
 |  | Replace | @37@
 |  | Check | @38@
 |  | Activate | @3C@
 |  | Sort in ascending order | @3E@
 |  | Sort in descending order | @3F@
 |  | Convert | @3H@
 |  | Display or Change | @3I@
 |  | Expand | @3S@
 |  | Collapse | @3T@
 |  | Position; Other entry | @3Y@
 |  | Display sum | @3Z@
 |  | Move | @40@
 |  | Retrieve | @41@
 |  | Refresh | @42@
 |  | Skip | @43@
 |  | Compare | @46@
 |  | Import | @48@
 |  | Export | @49@
 |  | Transport | @4A@
 |  | Find next | @4E@
 |  | Rename | @4F@
 |  | Filter | @4G@
 |  | Highlight | @4K@
 |  | Subtotal | @5V@
 |  | Expand all | @68@
 |  | Collapse all | @69@
 |  | Selection; Selection criteria | @7X@
 |  | Dynamic selections | @7Z@
 |  | Set A | @89@
 |  | Set B | @8A@
 |  | A plus B | @8B@
 |  | Intersection set AB | @8C@
 |  | A minus B | @8D@
 |  | B minus A | @8E@
 |  | Copy to set A | @8F@
 |  | Copy to set B | @8G@
 |  | Deactivate | @8I@
 |  | Submit for processing | @8W@
 |  | Allow | @8X@
 |  | Reject | @8Y@
 |  | Simulate | @8Z@
 |  | Arrow left | @9S@
 |  | Arrow right | @9T@
 |  | Operation; Edit object | @9X@
 |  | Activity | @9Y@
 |  | Swap | @BB@
 |  | Store | @C0@
 |  | Assign | @C1@
 |  | Complete;No problems occurred | @DF@
 |  | Partner | @DG@
 |  | Display log | @DH@
 |  | Call up Excel List Viewer | @DJ@
 |  | Call up word processing | @DK@
 |  | ABC analysis | @DL@
 |  | Select display variant | @DM@
 |  | Save display variant | @DN@
 |  | More decimal places | @DP@
 |  | Fewer decimal places | @DQ@
 |  | Message log | @DR@
 |  | Delete from favorites | @ES@
 |  | Add to favorites | @EV@
 |  | Create with template | @EZ@
 |  | Default values | @F6@
 |  | Display attachment | @FM@
 |  | Display folder content | @FN@
 |  | Open folder | @FO@
 |  | Open object folder | @FP@
 |  | Display outbox | @FQ@
 |  | Resubmit | @FR@
 |  | Private folders | @FS@
 |  | Public folders | @FT@
 |  | Subcribed folders | @FU@
 |  | Calculate average | @FV@
 |  | Bold | @FW@
 |  | Italics | @FX@
 |  | Underline | @FY@
 |  | Align left | @FZ@
 |  | Align right | @G0@
 |  | Center | @G1@
 |  | Justify | @G2@
 |  | Color | @G3@
 |  | Delete all attributes | @G4@
 |  | Display Idocs | @G5@
 |  | Connect | @GB@
 |  | Disconnect | @GC@
 |  | Undo filter | @GD@
 |  | Undo highlighting | @GF@
 |  | Insert rows | @GU@
 |  | Make mass change | @HB@
 |  | Highlighting critical | @HC@
 |  | Highlighting noncritical | @HD@
 |  | Select columns | @HE@
 |  | Read file | @HJ@
 |  | Write file | @HK@
 |  | Edit file | @HL@
 |  | Call report from report | @I2@
 |  | Select with filter | @KG@
 |  | Display variants | @LZ@
 |  | Show/Hide paragraph marks | @P2@
 |  | Eraser | @TS@
Icon | Corbu Icon | Name | ID
 |  | Note; Change note | @0J@
 |  | Create note | @0K@
 |  | Display note | @0L@
 |  | Calculate | @0M@
 |  | Graphic | @0N@
 |  | Create text | @0O@
 |  | Display text | @0P@
 |  | Change text; Long text | @0Q@
 |  | Variants | @0R@
 |  | Information | @0S@
 |  | Address | @0T@
 |  | Optical archive viewer | @0U@
 |  | Print preview | @3G@
 |  | Set status | @3J@
 |  | List | @3W@
 |  | Tools | @45@
 |  | Network graphic | @56@
 |  | Bar chart; Planning board | @57@
 |  | Employee | @5W@
 |  | Time zone | @5X@
 |  | History | @96@
 |  | Time inactive | @9R@
 |  | ABAP routine | @9U@
 |  | Request; Order | @9Z@
 |  | Customer | @A0@
 |  | Central warehouse | @A1@
 |  | Planning level | @A2@
 |  | Distribution center | @A3@
 |  | Customer warehouse | @A4@
 |  | Stock transfer point | @A5@
 |  | Material | @A6@
 |  | Model | @A7@
 |  | Plant | @A8@
 |  | Product group | @A9@
 |  | Relationship | @AA@
 |  | Resource | @AB@
 |  | Storage location | @AC@
 |  | Vendor | @AD@
 |  | Transport type | @AE@
 |  | Location | @AF@
 |  | Task list | @AJ@
 |  | Maintenance plan | @AK@
 |  | Message | @AL@
 |  | Work center | @AM@
 |  | Equipment | @AN@
 |  | Document | @AR@
 |  | Reverse payment items | @BA@
 |  | Cost center | @BL@
 |  | Query tool | @BO@
 |  | Workflow inbox | @BP@
 |  | Wizard | @BY@
 |  | One-time delivery on date requi | @CB@
 |  | Complete delivery | @CC@
 |  | Delivery proposal | @CD@
 |  | Backward plan direction (switch | @CE@
 |  | Backward plan direction | @CF@
 |  | Forward plan direction | @CG@
 |  | Forward plan direction (switch) | @CH@
 |  | Finite capacity | @CI@
 |  | Variations of non-working time | @CJ@
 |  | Planning session: Free capacity | @CK@
 |  | Planning session: Insert busine | @CL@
 |  | Planning session: Press busines | @CM@
 |  | Planning session: Keep the same | @CN@
 |  | Profit center | @D2@
 |  | Company code | @D9@
 |  | Controlling area | @DX@
 |  | Distribution list | @DY@
 |  | SAP mails unread | @DZ@
 |  | SAP mails read | @E0@
 |  | SAPoffice document | @E3@
 |  | Not completed; Error | @F1@
 |  | Delivery | @O4@
 |  | Text field | @OB@
 |  | Field with text | @OC@
 |  | Simple field | @OD@
 |  | Continue without confirming | @PB@
 |  | Delivery | @PG@
 |  | Linked document | @QE@
 |  | Linked folder | @QF@
 |  | Linked folder (open) | @QG@
 |  | Message Type | @W0@
 |  | Business Object (up to date) | @W2@
 |  | Business Object Out of Date | @W3@
 |  | Closed Folder (Up to Date) | @W5@
 |  | Closed Folder (Out of Date) | @W6@
 |  | Closed Folder (Orphaned) | @W7@
 |  | Message (Up To Date) | @W8@
 |  | Message (out of date) | @W9@
 |  | Message (orphaned) | @WA@
 |  | Faulty Message (up to date) | @WB@
 |  | Faulty Message (out of date) | @WC@
 |  | Faulty Message (orphaned) | @WD@
 |  | Object Interface (up to date) | @WE@
 |  | Object Interface (out of date) | @WF@
 |  | Object Interface (orphaned) | @WG@
 |  | Data Types (up to date) | @WH@
 |  | Data Types (out of date) | @WI@
 |  | Data Types (orphaned) | @WJ@
 |  | Data Type Enh. (up to date) | @WK@
 |  | Data Type Enh. (out of date) | @WL@
 |  | Data Type Enh. (orphaned) | @WM@
 |  | Agent (up to date) | @WN@
 |  | Agent (out of date) | @WO@
 |  | Agent (orphaned) | @WP@
 |  | Enhanced Business Object | @WQ@
 |  | Enh. Business Object (up to dat | @WR@
 |  | Enh. Business Object (out of da | @WS@
 |  | Enh. Business Object (orphaned) | @WT@
Icon | Corbu Icon | Name | ID
 |  | Checked; Okay | @01@
 |  | Incomplete; Critical | @02@
 |  | Failure | @03@
 |  | Positive; Good | @04@
 |  | Negative; Bad | @05@
 |  | Locked | @06@
 |  | Unlocked | @07@
 |  | Green light; Go; OK | @08@
 |  | Yellow light; Caution | @09@
 |  | Red light; Negative | @0A@
 |  | Green LED; go; OK | @5B@
 |  | Red LED; stop; error | @5C@
 |  | Yellow LED; caution | @5D@
 |  | Display mode active/not active | @9B@
 |  | Incorrect request | @9O@
 |  | Request successful | @9P@
 |  | Alarm | @AG@
 |  | Warning | @AH@
 |  | Note | @AI@
 |  | Inactive LED; Undefined | @BZ@
 |  | Message has been read | @E1@
 |  | Message has not been read | @E2@
 |  | Go; OK | @E4@
 |  | Light out; Undefined | @EB@
 |  | Stop; error | @GI@
 |  | Downward trend | @M8@
 |  | Slight downward trend | @M9@
 |  | Stagnant trend | @MA@
 |  | Slight upward trend | @MB@
 |  | Upward trend | @MC@
 |  | Status critical | @MD@
 |  | Status good | @ME@
 |  | Status very good | @MF@
 |  | No status | @MG@
 |  | Status very critical | @OJ@
 |  | -- | @P5@
 |  | - | @P6@
 |  | 0 | @P7@
 |  | + | @P8@
 |  | ++ | @P9@
 |  | Blank, new, open | @Q3@
Icon | Corbu Icon | Name | ID
 |  | Telephone number | @1Q@
 |  | Fax number | @1R@
 |  | Send message; Mail | @1S@
 |  | Time of day | @1T@
 |  | Date | @1U@
 |  | Alarm | @1V@
 |  | Variable | @4M@
 |  | Dimension | @9Q@
 |  | Local ABAP | @9V@
Icon | Corbu Icon | Name | ID
 |  | Faulty Message Type | @W1@
 |  | Business Object (Orphaned) | @W4@
Icon | Corbu Icon | Name | ID
 |  | Multiple selection (active) | @1E@
 |  | Multiple selection | @1F@
 |  | Previous node | @3K@
 |  | Next node | @3L@
 |  | Hierarchy | @3M@
 |  | Insert relationship | @3N@
 |  | Finish date; Date | @3O@
 |  | Subordinate level | @4H@
 |  | Superior level | @4I@
 |  | Cut relationship | @53@
 |  | Context Menu | @TR@
Icon | Corbu Icon | Name | ID
 |  | Equal to | @1G@
 |  | Not equal to | @1H@
 |  | Greater than | @1I@
 |  | Less than | @1J@
 |  | Greater than or equal to | @1K@
 |  | Less than or equal to | @1L@
 |  | Include interval | @1M@
 |  | Exclude interval | @1N@
 |  | Include pattern | @1O@
 |  | Exclude pattern | @1P@
 |  | Select: Equal to | @20@
 |  | Select: Not equal to | @21@
 |  | Select: Greater than | @22@
 |  | Select: Less than | @23@
 |  | Select: Greater than or equal t | @24@
 |  | Select: Less than or equal to | @25@
 |  | Select: Include interval | @26@
 |  | Select: Exclude interval | @27@
 |  | Select: Include pattern | @28@
 |  | Select: Exclude pattern | @29@
 |  | Do not select: Equal to | @2A@
 |  | Do not select: Not equal to | @2B@
 |  | Do not select: Greater than | @2C@
 |  | Do not select: Less than | @2D@
 |  | Do not select: Greater than/equ | @2E@
 |  | Do not select: Less than/equal | @2F@
 |  | Do not select: Include interval | @2G@
 |  | Do not select: Exclude interval | @2H@
 |  | Do not select: Include sample | @2I@
 |  | Do not select: Exclude sample | @2J@
 |  | Close | @3X@
 |  | Align | @52@
 |  | Enter | @5Y@
 |  | Auszeichnen | @5Z@
 |  | Dangerous goods check | @CO@
 |  | Sanctioned party list | @D6@
 |  | Rental agreement | @DD@
 |  | Call up object list | @DI@
 |  | Excluded correspondence class | @DO@
 |  | Pack | @E8@
 |  | Unpack | @E9@
 |  | Empty | @EA@
 |  | Batch | @EJ@
 |  | Display administrative data | @EK@
 |  | Stock | @EL@
 |  | Account assignment | @EM@
 |  | Origin | @EN@
 |  | Display external jobs | @EP@
 |  | Show event | @ET@
 |  | Display use relationships | @EX@
 |  | Display mapped relationships | @EY@
 |  | Undo cache entry | @F0@
 |  | Propose position | @F7@
 |  | Display customer master data | @F8@
 |  | Display status overview | @F9@
 |  | Display header details | @FA@
 |  | Display item details | @FB@
 |  | Check availability | @FC@
 |  | Price conditions | @FD@
 |  | Schedule lines | @FE@
 |  | Display availability | @FF@
 |  | Call warehouse statistics | @FG@
 |  | Computer/host | @G6@
 |  | Warehouse stock | @HQ@
 |  | Production supply area | @I1@
 |  | Expand data areas | @K1@
 |  | Collapse data areas | @K2@
 |  | Production scrap | @K3@
 |  | Compare appointment | @KI@
 |  | Summarize key fields | @KT@
 |  | Undo summarization | @KU@
 |  | Start warehouse process in the | @LT@
 |  | Start warehouse process in the | @LU@
 |  | Confirm warehouse process in th | @LV@
 |  | Confirm warehouse process in th | @LW@
 |  | Select redlining object | @MH@
 |  | Draw line freehand | @MI@
 |  | Draw pointer | @MJ@
 |  | Draw line | @MK@
 |  | Draw polyline | @ML@
 |  | Draw ellipse | @MM@
 |  | Draw polygon | @MN@
 |  | Draw rectangle | @MO@
 |  | Angle measure | @MP@
 |  | Linear measure | @MQ@
 |  | radius measure | @MR@
 |  | Snap to grid+F912 | @PC@
 |  | Grid | @PD@
 |  | Main grid | @PE@
 |  | Top border | @PU@
 |  | Right border | @PV@
 |  | Outside border | @PW@
 |  | Left border | @PX@
 |  | Bottom border | @PY@
 |  | Inside border | @PZ@
 |  | Reset template | @Q0@
 |  | Store entries as a template | @Q1@
 |  | Transfer healthcare smartcard | @Q2@
 |  | Material price analysis | @Q6@
 |  | Cost components | @Q7@
 |  | Handling Unit | @TV@
 |  | Select: All | @VT@
Icon | Corbu Icon | Name | ID
 |  | Activate ProShare | @1W@
 |  | Call report from report | @36@
 |  | Icon list; Legend | @3D@
 |  | Short message | @47@
 |  | Individual help | @4L@
 |  | Freeze column | @54@
 |  | Unfreeze columns | @55@
 |  | Zoom in | @59@
 |  | Zoom out | @5A@
 |  | ISO code | @60@
 |  | Formula | @6R@
 |  | Parameters | @77@
 |  | Parameters (import) | @78@
 |  | Parameters (export) | @79@
 |  | Change parameters | @7A@
 |  | Parameters (result) | @7B@
 |  | Dangerous goods | @8H@
 |  | Foreign trade | @8M@
 |  | URL | @8S@
 |  | Dispatch operation | @8U@
 |  | Deallocate operation | @8V@
 |  | Technical location | @AO@
 |  | Bill of material (BOM) | @AP@
 |  | Bill of material (BOM) item | @AQ@
 |  | Document revision | @AS@
 |  | Material revision | @AT@
 |  | Change number | @AU@
 |  | Parameters (table) | @BJ@
 |  | Graduated scale | @BT@
 |  | Bonus; Gift | @BU@
 |  | Conversion amount factor | @BV@
 |  | Object dependencies | @BW@
 |  | Configuration | @BX@
 |  | Record later | @C2@
 |  | Assign later | @C3@
 |  | Record immediately | @C4@
 |  | Assign immediately | @C5@
 |  | Japan | @D5@
 |  | Customs-related technical area | @D7@
 |  | Legal regulation | @D8@
 |  | Unit costing | @DA@
 |  | Base costing object (costing bl | @DB@
 |  | Activity type | @DC@
 |  | Real estate object | @DE@
 |  | Partner sales activity | @DS@
 |  | Incoming telephone call | @DT@
 |  | North American Free Trade Assoc | @DU@
 |  | European Union | @DV@
 |  | Outgoing telephone call | @DW@
 |  | Inspection lot | @EO@
 |  | Inspection method | @GS@
 |  | Catalog | @GT@
 |  | Inspection characteristic | @GV@
 |  | Physical sample | @GW@
 |  | Elementary data type | @HO@
 |  | Stuctured data type | @HP@
 |  | Bill of material (BOM) subitem | @HW@
 |  | Change status | @HX@
 |  | Key date | @HY@
 |  | Selection period | @HZ@
 |  | Parameter validity | @I0@
 |  | Adobe Acrobat document | @IT@
 |  | Bitmap image | @IU@
 |  | Fax document | @IV@
 |  | GIF image | @IW@
 |  | Help file | @IX@
 |  | Hypertext template | @IY@
 |  | Internet document set | @IZ@
 |  | JPEG Image | @J0@
 |  | E-mail message | @J1@
 |  | MS Excel worksheet | @J2@
 |  | MS Excel VBA module | @J3@
 |  | HTML document | @J4@
 |  | MS PowerPoint presentation | @J5@
 |  | MS Word template | @J6@
 |  | MS Word document | @J7@
 |  | MS Outlook express e-mail messa | @J8@
 |  | Rich text format document | @J9@
 |  | TIF image document | @JA@
 |  | Notepad document | @JB@
 |  | Lotus WordPro 97 document | @JC@
 |  | Lotus 1-2-3 workbook | @JD@
 |  | Visio document | @JE@
 |  | Default Windows icon | @JF@
 |  | Address element | @KH@
 |  | Business partner master data | @KJ@
 |  | Incompleteness log | @KK@
 |  | Message | @KL@
 |  | Telephone call | @KM@
 |  | Visit | @KN@
 |  | Letter | @KO@
 |  | Number of units with errors | @KV@
 |  | Background job | @M4@
 |  | Background job, details | @M5@
 |  | SNC information | @O3@
 |  | Consumption alternative | @ON@
 |  | Procurement alternative | @OO@
 |  | Procurement process | @OP@
 |  | Target group | @PF@
 |  | Business area | @PN@
 |  | Connection object | @PQ@
 |  | Contract account | @PR@
 |  | Register | @PS@
 |  | Installation | @PT@
 |  | General recipe | @Q4@
 |  | Valued quantity structure | @Q8@
 |  | Revaluable consumption alternat | @Q9@
 |  | Query package | @QA@
 |  | Dynamic package | @QB@
 |  | Standard package | @QC@
 |  | Application package | @QD@
 |  | Formatted report | @QH@
 |  | XML document | @R4@
 |  | Dropdown box | @R5@
 |  | Radio button | @R6@
 |  | Checkbox | @R7@
 |  | Job Family | @WY@
Icon | Corbu Icon | Name | ID
 |  | Transport of goods (truck) | @7Q@
 |  | Transport of goods (rail) | @7R@
 |  | Transport of goods (ship) | @7S@
 |  | Transport of goods (plane) | @7T@
 |  | Transport of goods (mail) | @7U@
 |  | Stock turnover | @7V@
 |  | Border; Customs | @7W@
 |  | Characteristic (active) | @81@
 |  | Characteristic (inactive) | @82@
 |  | Key figure (active) | @83@
 |  | Key figure (inactive) | @84@
 |  | Transport of goods | @9K@
 |  | Show management cockpit | @P3@
 |  | Show balanced scorecard | @P4@
 |  | Red Dash | @VG@
 |  | Red Slash | @VH@
 |  | Red Cross in Circle | @VI@
Icon | Corbu Icon | Name | ID
 |  | Video | @1X@
 |  | Voice input | @1Y@
 |  | Voice output | @1Z@
Icon | Corbu Icon | Name | ID
 |  | Benutzerspezifischer Haltepunkt | @VB@
 |  | Deaktivierter Benutzerhaltepunk | @VC@
 |  | Modushaltepunkt | @VD@
 |  | Deaktivierter Modushaltepunkt | @VE@
 |  | Enterprise Service Repository | @VF@
 |  | Check In Requested | @VY@
 |  | Check Out Requested | @VZ@
Icon | Corbu Icon | Name | ID
 |  | Placeholder icon | @00@
 |  | Generate | @39@
 |  | Where-used list | @3A@
 |  | Stack | @3B@
 |  | Foreign key | @3V@
 |  | Modify; Enhance | @61@
 |  | Environment analysis | @62@
 |  | Interface | @63@
 |  | Debugger: Single step | @73@
 |  | Debugger: Perform | @74@
 |  | Debugger: Back | @75@
 |  | Debugger: Continue | @76@
 |  | Stop recording | @7Y@
 |  | Modification: Create, change | @97@
 |  | Modification: Overview | @98@
 |  | Modification: Display original | @99@
 |  | Undo modification | @9A@
 |  | Assign table entry | @I3@
 |  | Undo table entry assignment | @I4@
 |  | Start recording | @I5@
 |  | Run CATT | @I6@
 |  | Translate | @I7@
 |  | Display translation | @I8@
 |  | Change password | @I9@
 |  | Distribute entries | @IA@
 |  | Call systems | @IB@
 |  | Authorizations activity group | @IC@
 |  | Authorizations user group | @ID@
 |  | Undo assignment | @IE@
 |  | Determine difference | @II@
 |  | Undo "Determine difference" | @IJ@
 |  | Deselect | @IK@
 |  | Copy object | @IL@
 |  | Terminology | @IM@
 |  | Display a project | @IO@
 |  | Import all | @K4@
 |  | Import request | @K5@
 |  | Toggle overview / detail view | @K6@
 |  | Toggle standard mode / expert m | @K7@
 |  | Settings | @K8@
 |  | Include objects | @KA@
 |  | Transfer | @KB@
 |  | Distribute configuration | @KC@
 |  | Synchronize configuration | @KD@
 |  | Standard configuration | @KE@
 |  | Revised | @KF@
 |  | Not specifed (1) | @KW@
 |  | Not specifed (2) | @KX@
 |  | Not specified (3) | @KY@
 |  | Not specified (4) | @KZ@
 |  | Not specified (5) | @L0@
 |  | Create transport proposal | @OE@
Icon | Corbu Icon | Name | ID
 |  | Class | @7C@
 |  | Interface | @7D@
 |  | Attribute | @7E@
 |  | Class attribute | @7F@
 |  | Instance attribute | @7G@
 |  | Method | @7H@
 |  | Class method | @7I@
 |  | Instance method | @7J@
 |  | Event | @7K@
 |  | Constant | @7L@
 |  | Redefine | @7M@
 |  | Relationships | @7N@
 |  | Inheritance/specialization | @7O@
 |  | Interface implementation/compos | @7P@
 |  | Class event | @C6@
 |  | Instance event | @C7@
 |  | Alias | @C8@
 |  | Object | @C9@
 |  | Document | @IF@
 |  | List | @IG@
 |  | Folder | @IH@
 |  | Triangular relationship | @IN@
 |  | Project | @K9@
 |  | System type | @M6@
 |  | Composite activity group | @M7@
 |  | Document modeling space | @OR@
 |  | Relation class | @OS@
 |  | Attribute definition | @OT@
 |  | Virtual relation class | @OU@
 |  | Class connection space | @OV@
 |  | Attribute definition constant | @OW@
 |  | Context class | @OX@
 |  | Logical info object class | @OY@
 |  | Virtual logical info object cla | @OZ@
 |  | Physical info object class | @P0@
 |  | Virtual physical info object cl | @P1@
 |  | Test for Performance Assessment | @PJ@
 |  | Subtest for a Performance Asses | @PK@
 |  | Performance unit | @PL@
 |  | Test item for a Performance Ass | @PM@
 |  | Application Component | @RG@
 |  | Tag Library | @RH@
 |  | Tag Library Reference | @RI@
 |  | Web Project | @RJ@
 |  | Web Application Project | @RK@
 |  | Inbound Plug | @RL@
 |  | Outbound Plug | @RM@
 |  | View | @RN@
 |  | Views | @RO@
 |  | Interface View | @RP@
 |  | Interface Views | @RQ@
 |  | View Area | @RR@
 |  | T Layout ViewSet | @RS@
 |  | Reverse T Layout ViewSet | @RT@
 |  | T Layout 270° ViewSet | @RU@
 |  | T Layout 90° ViewSet | @RV@
 |  | Tab Layout ViewSet | @RW@
 |  | Grid ViewSet | @RX@
 |  | View Container | @RY@
 |  | Windows Collection | @RZ@
 |  | Window | @S0@
 |  | Build all | @S1@
 |  | Build Incremental | @S2@
 |  | Components | @S3@
 |  | Component | @S4@
 |  | Component Interface | @S5@
 |  | Application | @S6@
 |  | Applications | @S7@
 |  | Context | @S8@
 |  | Value Node | @S9@
 |  | Value Attribute | @SA@
 |  | Mapped Value Node | @SB@
 |  | Mapped Value Attribute | @SC@
 |  | Model Node | @SD@
 |  | Model Attribute | @SE@
 |  | Mapped Model Node | @SF@
 |  | Mapped Model Attribute | @SG@
 |  | Recursion Node | @SH@
 |  | Image | @SI@
 |  | Caption | @SJ@
 |  | Business Graphics | @SK@
 |  | Label | @SL@
 |  | Input Field | @SM@
 |  | Numeric Value | @SN@
 |  | Time Value | @SO@
 |  | Checkbox (indexed) | @SP@
 |  | Checkbox Group | @SQ@
 |  | Radio Button (empty) | @SR@
 |  | Radio Button Group by Index | @SS@
 |  | Radio Button Group by Key | @ST@
 |  | Dropdown by Index | @SU@
 |  | Dropdown by Key | @SV@
 |  | Link To Action | @SW@
 |  | Link To URL | @SX@
 |  | Toolbar Button | @SY@
 |  | Toolbar Dropdown by Index | @SZ@
 |  | Toolbar Dropdown by Key | @T0@
 |  | Toolbar Inputfield | @T1@
 |  | Toolbar Separator | @T2@
 |  | Toolbar Caption | @T3@
 |  | Table | @T4@
 |  | Table Column | @T5@
 |  | Tree | @T6@
 |  | Tree Node | @T7@
 |  | Tree Item | @T8@
 |  | IFrame | @T9@
 |  | Checkbox | @TA@
 |  | Radio Button | @TB@
 |  | Button | @TC@
 |  | Text View | @TD@
 |  | Text Edit | @TE@
 |  | Toolbar | @TF@
 |  | Tabstrip | @TG@
 |  | Tab | @TH@
 |  | Group | @TI@
 |  | Tray | @TJ@
 |  | Transparent Container | @TK@
 |  | Scroll Container | @TL@
 |  | Navigation Link | @TM@
 |  | Navigation Link Bidirectional | @TN@
 |  | Navigation Link Out | @TO@
 |  | Navigation Link In | @TP@
 |  | Controller | @TQ@
 |  | Interface Nachrichtentyp | @VN@
 |  | Faulty messagetype | @VO@
Icon | Corbu Icon | Name | ID
 |  | Breakpoint | @3U@
 |  | Custom Controller | @US@
 |  | Custom Controllers | @UT@
 |  | InputModelAttribute | @UU@
 |  | InputModelNode | @UV@
 |  | InputValueAttribute | @UW@
 |  | InputValueNode | @UX@
 |  | MappedInputModelAttribute | @UY@
 |  | MappedInputModelNode | @UZ@
 |  | MappedInputValueAttribute | @V0@
 |  | MappedInputValueNode | @V1@
 |  | ComponentController | @V2@
 |  | ComponentControllerUsage | @V3@
 |  | Component Interface Controller | @V4@
 |  | Component Interface Definition | @V5@
 |  | Component Interface Definitions | @V6@
 |  | Component Usage | @V7@
 |  | Component Usages | @V8@
 |  | Web Breakpoint | @V9@
 |  | Disabled Web Breakpoint | @VA@
 |  | Checked Out | @VX@
 |  | Condition Breakpoint | @WW@
 |  | Disabled Condition Breakpoint | @WX@
Icon | Corbu Icon | Name | ID
 |  | Process | @4S@
 |  | Process selection matrix | @4T@
 |  | System organization diagram | @4U@
 |  | Scenario | @4V@
 |  | Business object | @4W@
 |  | Information flow diagram | @4X@
 |  | Entity type | @4Y@
 |  | Process exists | @4Z@
 |  | Communication diagram | @50@
 |  | Data model | @51@
 |  | Value chain | @5G@
Icon | Corbu Icon | Name | ID
 |  | Activity | @5H@
 |  | Condition | @5I@
 |  | User decision | @5J@
 |  | Container operation | @5K@
 |  | External event | @5L@
 |  | Internal event | @5M@
 |  | Multiple condition | @5N@
 |  | Go to Workflow | @5O@
 |  | Event creator | @5P@
 |  | Process control | @5Q@
 |  | Undefined step | @5R@
 |  | UNTIL loop | @5S@
 |  | Wait for events | @5T@
 |  | WHILE loop | @5U@
 |  | Internal event with date | @87@
 |  | Create document from template | @CP@
 |  | Set dataflow | @CQ@
 |  | Trigger dataflow | @CR@
 |  | Work item ready | @CS@
 |  | Work item reserved | @CT@
 |  | Work item in progress | @CU@
 |  | Work item carried out | @CV@
 |  | Work item waiting | @CW@
 |  | Work item completed | @CX@
 |  | Work item has errors | @CY@
 |  | Work item logically deleted | @CZ@
 |  | Reserve work item | @D0@
 |  | Return work item | @D1@
 |  | Set of rules | @D3@
 |  | Rule parameters | @D4@
 |  | Join Workflow | @M2@
 |  | Workflow process | @M3@
 |  | Workflow | @OQ@
 |  | Web activity step type | @PA@
 |  | Placeholder | @Q5@
Icon | Corbu Icon | Name | ID
 |  | Operation | @64@
 |  | Reference operation | @65@
 |  | Work center operation step | @66@
 |  | To-do list | @67@
 |  | Header | @HR@
 |  | Material routing assignment | @HS@
 |  | Suboperation | @HT@
 |  | Referenced suboperation | @HU@
 |  | Sequence | @HV@
Icon | Corbu Icon | Name | ID
 |  | InfoSource | @6E@
 |  | Application | @6F@
 |  | InfoArea | @6G@
 |  | InfoCube | @6H@
 |  | Update rules (inactive) | @6I@
 |  | Source system (general) | @6J@
 |  | Source system (R/3 System) | @6K@
 |  | Source system (external) | @6L@
 |  | Source system file | @6M@
 |  | InfoCatalog | @6N@
 |  | InfoObject | @6O@
 |  | Monitor | @6P@
 |  | Scheduler | @6Q@
 |  | Template structure | @6S@
 |  | Report | @6T@
 |  | Report view (=workbook) | @6U@
 |  | Master data (active) | @6V@
 |  | Master data (inactive) | @6W@
 |  | Texts (active) | @6X@
 |  | Texts (inactive) | @6Y@
 |  | Hierarchies (active) | @6Z@
 |  | Hierarchies (inactive) | @70@
 |  | Transaction data (active) | @71@
 |  | Transaction data (inactive) | @72@
 |  | Update rules (active) | @80@
 |  | InfoObject units (active) | @85@
 |  | InfoObject units (inactive) | @86@
 |  | InfoObject Catalog | @88@
 |  | ODS (active) | @9L@
 |  | ODS (inactive) | @9M@
 |  | InfoPackage | @9N@
 |  | Transfer structure | @9W@
 |  | GIS icon for Microsoft Excel | @F2@
 |  | InfoCube (SAP version) | @F3@
 |  | InfoCube (inactive) | @F4@
 |  | InfoObject Catalog (SAP version | @F5@
 |  | Datamarts | @GH@
 |  | Characteristic (SAP version) | @GJ@
 |  | Key figure (SAP version) | @GK@
 |  | Unit (SAP version) | @GL@
 |  | Time characteristic (SAP versio | @GM@
 |  | Update rules (SAP version) | @GN@
 |  | Query (SAP version) | @GO@
 |  | Variable (SAP version) | @GP@
 |  | Template (SAP version) | @GQ@
 |  | Restricted key figure (SAP vers | @GR@
 |  | Calculated key figure (SAP vers | @GX@
 |  | InfoCatalog (SAP version) | @GY@
 |  | Segment (active) | @H8@
 |  | Segment (inactive) | @H9@
 |  | Segment (SAP version) | @HA@
 |  | Source system (own system) | @M1@
 |  | Exception monitor | @MS@
 |  | ation status of a query | @MT@
 |  | Transfer structure (inactive) | @MU@
 |  | Exception in reporting | @MV@
 |  | Ranking list | @MW@
 |  | GANTT chart | @NF@
 |  | Line graph | @NG@
 |  | Layer down | @NH@
 |  | Dot density graph | @NI@
 |  | Map settings | @NJ@
 |  | Pan | @NK@
 |  | Pie chart | @NL@
 |  | Layer up | @NM@
 |  | Select map objects | @NN@
 |  | Symbol chart | @NO@
 |  | Reporting agent: active | @O1@
 |  | Reporting agent: inactive | @O2@
 |  | Database table | @PO@
 |  | Inactive database table | @PP@
 |  | Active InfoSet | @QI@
 |  | Inactive InfoSet | @QJ@
 |  | Formula performed on a structur | @QK@
 |  | Characteristic with hierarchy | @QL@
 |  | Excluded node | @QM@
 |  | Included variable node | @QN@
 |  | Excluded variable node | @QO@
 |  | Formula performed on a key figu | @QP@
 |  | Included variable value | @QQ@
 |  | Excluded variable value | @QR@
 |  | Include values greater than or | @QS@
 |  | Include values greater than var | @QT@
 |  | Include values less than or equ | @QU@
 |  | Include values less than variab | @QV@
 |  | Include variable range | @QW@
 |  | Exclude variable range | @QX@
 |  | Multi Data Provider | @QY@
 |  | Inactive Multi Data Provider | @QZ@
 |  | Source system: Database | @R0@
 |  | Source system: Internet | @R1@
 |  | DataSource | @R2@
 |  | BW Web report | @R3@
 |  | Geo-characteristic | @R8@
 |  | Inactive geo-characteristic | @R9@
 |  | SAP Data Mining | @TW@
 |  | Visualization | @TX@
 |  | Target | @TY@
 |  | Transformation | @TZ@
 |  | Source | @U0@
 |  | Column to row | @U1@
 |  | Row to column | @U2@
 |  | Database table | @U3@
 |  | Analysis Process | @U4@
 |  | 3rd Party Data Mining | @U5@
 |  | Weighted Score Tables | @U6@
 |  | Regression | @U7@
 |  | Clustering | @U8@
 |  | Association Analysis | @U9@
 |  | Decision Tree | @UA@
 |  | Unit Conversion | @UB@
 |  | Planning Layer | @UC@
 |  | Planning Layer, inactive | @UD@
 |  | Open Hub Destination | @UE@
 |  | Rotate Right | @UF@
 |  | Rotate Left | @UG@
 |  | Value Help | @VJ@
 |  | Data Transfer Process | @VK@
 |  | Data Transfer Process (inactive) | @VL@
 |  | Open Hub Destination (inactive) | @VM@
 |  | Segmented data | @VP@
 |  | Segmented data (inactive) | @VQ@
 |  | Virtual InfoProvider | @VR@
 |  | Virtual InfoProvider inactive | @VS@
 |  | Source system (Universal Data C.) | @VU@
 |  | BW Info Source inactive | @VW@
Icon | Corbu Icon | Name | ID
 |  | Receipts | @90@
 |  | Stopovers | @91@
 |  | Miles/kms distribution | @92@
 |  | Advance payment | @93@
 |  | Deductions | @94@
 |  | Cost assignment | @95@
 |  | Book flight | @AV@
 |  | Book rental car | @AW@
 |  | Book hotel | @AX@
 |  | Book train | @AY@
 |  | Price enquiry | @AZ@
 |  | Query | @B0@
 |  | Book | @B1@
 |  | Cancel | @B2@
 |  | Booking status: open | @B3@
 |  | Booking status: booked | @B4@
 |  | Booking status: partially booke | @B5@
 |  | Booking status: canceled | @B6@
 |  | Preferences | @B7@
 |  | Per diem rates | @M0@
Icon | Corbu Icon | Name | ID
 |  | Automatic offer | @9C@
 |  | Options | @9D@
 |  | Event offer | @9E@
 |  | Open offer | @9F@
 |  | Offers waived | @9G@
 |  | Dependents | @9H@
 |  | Current benefits | @9I@
 |  | Terminate benefits | @9J@
 |  | Factoring | @BC@
 |  | Workload | @BD@
 |  | Suggestion | @BE@
 |  | Time evaluation | @BH@
 |  | Position (job) | @BI@
 |  | Task | @BK@
 |  | Manager | @BM@
 |  | Organizational unit | @BN@
 |  | Fast entry | @BQ@
 |  | Actions | @BR@
 |  | Work center | @BS@
 |  | Job | @CA@
 |  | Budget structure element | @GZ@
 |  | Financing | @H0@
 |  | Reclassification rule | @H1@
 |  | Reclassification | @H2@
 |  | Mark for elimination | @H3@
 |  | Earmark | @H4@
 |  | Substitute | @H5@
 |  | Budget update | @H6@
 |  | Transfer | @H7@
 |  | Illness | @IP@
 |  | Leave (Vacation) | @IQ@
 |  | Standard administrator role | @IR@
 |  | Personnel administration | @IS@
 |  | Display tree | @JG@
 |  | Extended search | @JH@
 |  | Close object | @JI@
 |  | Open object | @JJ@
 |  | Position to be filled | @L2@
 |  | Position on hold | @L3@
 |  | New employee | @L4@
 |  | Incoming employee | @L5@
 |  | Outgoing employee | @L6@
 |  | Obsolete position | @L7@
 |  | Delimited position | @L8@
 |  | Shared position | @L9@
 |  | Obsolete shared position | @LA@
 |  | Delimited shared position | @LB@
 |  | Create position | @LD@
 |  | Delimited organizational unit | @LF@
 |  | Create organizational unit | @LG@
 |  | Limited assignment | @LH@
 |  | New organizational unit | @LI@
 |  | New task | @LJ@
 |  | Delimited task | @LK@
 |  | Delimited task assignment | @LL@
 |  | Reassign task | @LM@
 |  | Delimited job assignment | @LN@
 |  | Job reassigned | @LO@
 |  | Create job | @LP@
 |  | Delimited job | @LQ@
 |  | Object reassigned | @LR@
 |  | Delimited object assignment | @LS@
Icon | Corbu Icon | Name | ID
 |  | Spool request | @EQ@
 |  | Display output request | @ER@
 |  | Display spool status | @EU@
 |  | Print with parameters | @EW@
 |  | Application server with spool | @G7@
 |  | Real application server | @G8@
 |  | Logical application server | @G9@
 |  | Alternative server | @GA@
 |  | Operator | @KP@
 |  | System administrator | @KQ@
 |  | SAP | @KR@
 |  | Public | @KS@
 |  | Binary document | @O8@
 |  | Unknown document type | @O9@
 |  | Document with OTF data | @OA@
Icon | Corbu Icon | Name | ID
 |  | Project definition | @EC@
 |  | WBS element | @ED@
 |  | Network header | @EE@
 |  | Network activity | @EF@
 |  | Activity element | @EG@
 |  | Relationship | @EH@
 |  | Milestone | @HM@
 |  | PS text | @HN@
Icon | Corbu Icon | Name | ID
 |  | Hold dialog box | @LX@
 |  | Release hold | @LY@
 |  | Answer telephone call | @NP@
 |  | Alternate active/hold | @NQ@
 |  | Put active call on hold | @NR@
 |  | Deflect an incoming call | @NS@
 |  | Issue a consultation call | @NT@
 |  | Establish a conference call | @NU@
 |  | Perform blind transfer | @NV@
 |  | Reconnect after consultation | @NW@
 |  | Retrieve call from hold | @NX@
 |  | Warm transfer | @NY@
 |  | Create callback | @NZ@
 |  | Process callback | @O0@
Icon | Corbu Icon | Name | ID
 |  | Save | @2L@
 |  | Help | @35@
 |  | Redo | @4R@
 |  | Application help | @5E@
 |  | Space | @5F@
 |  | SAP menu | @6A@
 |  | Enterprise menu | @6B@
 |  | User menu | @6C@
 |  | User favorites | @6D@
Icon | Corbu Icon | Name | ID
 |  | Information message | @19@
 |  | Warning | @1A@
 |  | Error message | @1B@
 |  | Question | @1C@
 |  | Critical message | @1D@
Icon | Corbu Icon | Name | ID
 |  | Form View | @UH@
 |  | List View | @UI@
 |  | Medium View Size | @UJ@
 |  | Maximize View | @UK@
 |  | Expand View Vertical | @UL@
 |  | Expand View Horizontal | @UM@
 |  | Refresh View | @UN@
 |  | Create a view | @UO@
 |  | Close a view | @UP@
 |  | Switch Views | @UQ@
 |  | Disable Breakpoint | @UR@
Icon | Corbu Icon | Name | ID
 |  | Call up/define a claim file | @FH@
 |  | Display/define policy data | @JK@
 |  | Display/define payment | @JL@
 |  | Display/define catastrophe | @JM@
 |  | Bundle of claims | @JN@
 |  | Invasion of personal privacy | @JO@
 |  | Subclaim "Intellectual property | @JP@
 |  | Subclaim "Vehicle" | @JQ@
 |  | Subclaim "Personal property" | @JR@
 |  | Subclaim "Building" | @JS@
 |  | Treatment of injuries | @JT@
 |  | Personal injury | @JU@
 |  | Environmental damage | @JV@
 |  | Economic loss | @JW@
Icon | Corbu Icon | Name | ID
 |  | Assembly header node | @MX@
 |  | Assembly change status | @MY@
 |  | Structure node alternative | @MZ@
 |  | Variant change status | @N0@
 |  | Structure node with variants | @N1@
 |  | Access node | @N2@
 |  | Activity plan | @N3@
 |  | Grouping node | @N4@
 |  | Mode | @N5@
 |  | Alternative relationship | @N6@
 |  | Alternative decomposition | @N7@
 |  | Operation | @N8@
 |  | Activity | @N9@
 |  | Grouping activity | @NA@
 |  | Buffer | @NB@
 |  | Line segment | @NC@
 |  | Production line | @ND@
 |  | Assembly Item node | @NE@
 |  | Single-level BOM item | @O5@
 |  | Single-level BOM header | @O6@
 |  | Alternative decomposition of ac | @O7@
 |  | Line balancing | @PH@
 |  | Initial object for integrated P | @PI@
Icon | Corbu Icon | Name | ID
 |  | Female | @RA@
 |  | Male | @RB@
 |  | Unknown gender | @RC@
 |  | Female | @RD@
 |  | Male | @RE@
 |  | Deceased | @RF@
Icon | Corbu Icon | Name | ID
 |  | Retail Product | @TT@
 |  | Retail Store | @TU@
 |  | Stores | @WU@
 |  | Central Warehouses | @WV@


STLport: License Agreement

License Agreement

Boris Fomitchev grants Licensee a non-exclusive, non-transferable, royalty-free license to use STLport and its documentation without fee.

By downloading, using, or copying STLport or any portion thereof, Licensee agrees to abide by the intellectual property laws and all other applicable laws of the United States of America, and to all of the terms and conditions of this Agreement.

Licensee shall maintain the following copyright and permission notices on STLport sources and its documentation unchanged :

Copyright 1999,2000 Boris Fomitchev

This material is provided "as is", with absolutely no warranty expressed or implied. Any use is at your own risk.
Permission to use or copy this software for any purpose is hereby granted without fee, provided the above notices are retained on all copies. Permission to modify the code and to distribute modified code is granted, provided the above notices are retained, and a notice that the code was modified is included with the above copyright notice.

The Licensee may distribute binaries compiled with STLport (whether original or modified) without any royalties or restrictions.

The Licensee may distribute original or modified STLport sources, provided that:

  • The conditions indicated in the above permission notice are met;
  • The following copyright notices are retained when present, and conditions provided in accompanying permission notices are met :

Copyright 1994 Hewlett-Packard Company

Copyright 1996,97 Silicon Graphics Computer Systems, Inc.

Copyright 1997 Moscow Center for SPARC Technology.

Permission to use, copy, modify, distribute and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. Hewlett-Packard Company makes no representations about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

Permission to use, copy, modify, distribute and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. Silicon Graphics makes no representations about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

Permission to use, copy, modify, distribute and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. Moscow Center for SPARC Technology makes no representations about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.